<?php



/**
* Handles the wptomob builder panel for general plugin builder.
 * Default builder are defined in Wpakbuilder::get_builder();
 */

class WpakBuilder {



	const menu_item = 'wptm_bo_builder_page';

	const option_id = 'wptm_builder_option';



	public static function hooks() {

		if ( is_admin() ) {

			add_action( 'admin_menu', array( __CLASS__, 'add_builder_panels' ), 10 ); //20 to pass after Simulator

		}

	}



	public static function add_builder_panels() {

		$capability_required = current_user_can( 'wptm_edit_apps' ) ? 'wptm_edit_apps' : 'manage_options';

		add_submenu_page( WpakApps::menu_item, __( 'builder', WpTomob::i18n_domain ), __( 'builder', WpTomob::i18n_domain ), $capability_required, self::menu_item, array( __CLASS__, 'builder_panel' ) );

	}

	

	public static function builder_panel() {

		  global $wpdb;

		// By location.

$menu_name = 'primary';

$locations = get_nav_menu_locations();

$menu_id   = $locations[ $menu_name ] ;

// var_dump(  wp_get_nav_menu_items($menu_id));

		?>

		<style type="text/css">

			.app-summary {
        border-top:1px solid #fff;
       position:relative

}

.app-summary .detail-link {
  display:block

}

.app-summary:last-child {
  margin-bottom:0

}

.app-summary .summary {
  position:relative;
  padding:8px;
 overflow:hidden;
 border-left:none;
 margin-right:40px

}

.app-summary .app-icon {
  position:absolute;
  top:8px;
 left:8px;
 width:44px;
 height:44px

}

.app-summary .app-title {
  font-size:24px;
  font-weight:100;
 margin:0;
 padding:8px 0 4px 50px;
 overflow:hidden;
 white-space:nowrap;
 text-overflow:ellipsis;
 width:100%

}

.app-summary.new .app-title {
  max-width:none;
  height:auto

}

.app-summary.new .desc {
  max-width:none;
  margin:8px 0

}

.app-summary .desc {
  font-size:14px;
  color:#666;
 margin:6px 0 0 78px;
 text-overflow:ellipsis

}

.app-summary .app-details dl {
  float:left;
  margin:0 0 4px;
 padding:0

}

.app-summary .app-details dt {
  font-size:10px;
  color:#666;
 font-weight:normal

}

.app-summary .app-details dd {
  margin:0;
  color:#666;
 padding:4px 0 10px;
 font-size:12px

}

.app-summary .app-details .source,.app-summary .app-details .phonegap {
  width:100%;
  text-overflow:ellipsis

}

.app-summary .app-details .app-id,.app-summary .app-details .owner,.app-summary .app-details .version,.app-summary .app-details .last-built,.app-summary .app-details .tag {
  width:33%;
  text-overflow:ellipsis

}

.app-summary .packages .pkg {
  display:inline-block;
  float:left

}

.app-summary .packages .pkg:before {
  content:'';
  width:32px;
 margin:0 auto;
 height:32px;
 background:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )); ?>/platform-icons.png) no-repeat top left;
 background-size:224px 140px;
 position:relative;
 top:7px

}

.app-summary .packages .pkg.ios:before {
  background-position:0 0

}

.app-summary .packages .pkg.ios.error:before {
  background-position:0 -96px

}

.app-summary .packages .pkg.ios.pending:before {
  background-position:0 -32px

}

.app-summary .packages .pkg.android:before {
  background-position:-32px 0

}

.app-summary .packages .pkg.android.error:before {
  background-position:-32px -96px

}

.app-summary .packages .pkg.android.pending:before {
  background-position:-32px -32px

}

.app-summary .packages .pkg.winphone:before {
  background-position:-192px 0

}

.app-summary .packages .pkg.winphone.error:before {
  background-position:-192px -96px

}

.app-summary .packages .pkg.winphone.pending:before {
  background-position:-192px -32px

}

.app-summary .packages .pkg:hover {
  -webkit-box-shadow:inset 0 0 24px #fff;
  box-shadow:inset 0 0 24px #fff

}

.app-summary .packages .pkg:active {
  -webkit-box-shadow:inset 0 0 8px rgba(0,0,0,0.15);
  box-shadow:inset 0 0 8px rgba(0,0,0,0.15);
 border-top:1px solid #e0e0e0;
 border-right:1px solid #e0e0e0

}

.app-summary .packages .pkg.pending {
  background:#f9f9f9 url(/ui/imgs/burner.gif) no-repeat bottom left

}

.app-summary .packages .pkg.pending:before {
  opacity:0.2

}

.app-summary .packages .pkg.error {
  border-bottom:2px solid #EE1133

}

.app-summary .packages .pkg.complete {
  border-bottom:2px solid #0c9db7

}

.app-summary .packages .pkg.unbuilt {
  opacity:0

}

.app-summary .packages .pkg.skip {
  display:none

}

.app-summary .actions {
  width:150px;
  height:196px

}

.app-summary .actions .btn {
  margin-top:8px;
  float:left;
 width:116px

}

#apps-list {
  margin-bottom:16px

}

@media only screen and (max-width: 559px) {
  #apps-list .dev-tools,#apps-list .actions,#apps-list .desc,#apps-list .notice {
   display:none
 }
  #apps-list .new .dev-tools {
   display:block
 }
  #apps-list .new .dev-tools label {
   font-size:0
 }
  #apps-list .packages {
   position:absolute;
   top:16px;
   right:-24px;
   width:20px
 }
  #apps-list .packages .pkg {
   -webkit-border-radius:4px;
   border-radius:4px;
   width:8px;
   height:8px;
   margin:0 2px 2px 0;
   font-size:0;
   background-repeat:repeat-y
 }
  #apps-list .packages .pkg:before {
   display:none
 }
  #apps-list .packages .pkg.complete {
   background-color:#0C9DB8
 }
  #apps-list .packages .pkg.error {
   background-color:#EE1133
 }
  #apps-list .summary {
   overflow:visible;
   height:60px
 }

}

@media only screen and (max-width: 899px) {
  #apps-list .app-details {
   display:none
 }

}

@media only screen and (min-width: 560px) {
  #quotas {
   display:table;
   width:100%
 }
  #quotas .quota {
   display:table-cell;
   padding:16px;
   width:33%
 }
  #new-app-btn {
   width:150px;
   text-align:center
 }
  .app-summary .app-icon {
   top:16px;
   left:16px;
   width:64px;
   height:64px
 }
  .app-summary .app-title {
   font-size:40px;
   padding:8px 0 4px 78px
 }
  .app-summary .desc {
   max-height:50px;
   overflow:hidden
 }
  .app-summary .packages {
   position:absolute;
   bottom:0;
   left:0;
   right:0;
   border-top:1px solid #eaeaea
 }
  .app-summary .packages .pkg {
   display:inline-block;
   width:16.66666666666666666667%;
   height:48px;
   font-size:0;
   border-left:1px solid #eaeaea;
   border-right:1px solid #fff;
   border-top:1px solid #fff
 }
  .app-summary .packages .pkg:before {
   display:block
 }
  .app-summary .packages .pkg:last-child {
   border-right:none
 }
  .app-summary .packages .pkg:first-child {
   border-left:none
 }
  .app-summary .summary,.app-summary .app-details,.app-summary .actions {
   padding:16px;
   height:196px
 }
  .app-summary .actions {
   position:absolute;
   right:0;
   top:0
 }
  .app-summary .summary {
   border-left:none;
   margin-right:150px
 }

}

@media only screen and (min-width: 900px) {
  .app-summary .app-details {
   position:absolute;
   right:150px;
   top:0;
   width:310px
 }
  .app-summary .summary {
   margin-right:460px
 }

}

@media only screen and (-webkit-min-device-pixel-ratio: 1.5), only screen and (min-device-pixel-ratio: 1.5) {
  .app-summary .packages .pkg:before {
   background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )); ?>/platform-icons@2x.png)
 }

}

.app-summary .app-details dd { 
  overflow:hidden;
  white-space:nowrap;
 text-overflow:ellipsis

}
.reload{
  height: 100px
}
#reload{
  background: url('<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/reload.png' ?>');
padding: 49px 50px 31px 50px;
float: right;
background-size: contain;
background-repeat: no-repeat; 
cursor: pointer;
}
 #dolly{
  display: none;
 }
		</style>
    <div class="reload">
<a id="reload" type="button" onclick="location.reload();"></a>
</div>
		<div class="wrap" id="wpak-builder">
       <?php 

     $application =  $wpdb->get_results("
         SELECT
             *
             FROM
             {$wpdb->prefix}wptm_phonegap_table
             ORDER BY id DESC
         ");
       set_time_limit(0);

foreach ($application as $key => $value) {
     $classandroid='skip';
       $classios='skip';
         ob_start();
          $curl = curl_init();
          curl_setopt_array($curl, array(
    CURLOPT_RETURNTRANSFER => 1,
        CURLOPT_FOLLOWLOCATION =>true,
    CURLOPT_SSL_VERIFYPEER =>false,
        CURLOPT_URL => 'https://build.phonegap.com/api/v1/apps/'.$value->app_id.'?access_token='.get_option('wptm_phonegap_access_token')
        ));
     $result= curl_exec($curl);
 echo $result;
 $result= ob_get_contents();



ob_end_clean();

//var_dump($result);

$obj=json_decode( $result);

//var_dump($obj);
   switch ($value->platform) {
           case 'android':
             # code...
             if($obj->status->android=='complete'){

               $source = "https://build.phonegap.com".$obj->download->android.'?access_token='.get_option('wptm_phonegap_access_token');

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, $source);

curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, FALSE );

$data = curl_exec ($ch);

$error = curl_error($ch); 

$download=json_decode( $data); 

curl_close ($ch);
   $source = $download->location;

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, $source);

curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, FALSE );

$data = curl_exec ($ch);

$error = curl_error($ch);

//echo $data; 

curl_close ($ch);
     $upload_dir = wp_upload_dir();
         $destination= empty( $upload_dir['error'] ) ? $upload_dir['basedir'] . '/wptomob-APK/' : '';
       if ( !file_exists( $destination ) ) {
           $ok = mkdir( $destination, 0777, true );
         }

$file = fopen($destination.$value->app_id.basename($source), "w+");

fputs($file, $data);

fclose($file);

$filename=$value->app_id.basename($source);

$homeurl=get_home_url();

$idd=$value->id;

$wpdb->query("UPDATE {$wpdb->prefix}wptm_phonegap_table SET app_url = '$homeurl/wp-content/uploads/wptomob-APK/$filename' WHERE id=$idd");

$source = "https://build.phonegap.com/api/v1/apps/".$value->app_id.'?access_token='.get_option('wptm_phonegap_access_token');

$post = array('DELETE' => '');

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, $source);

curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

curl_setopt($ch, CURLOPT_POST,1);
curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, FALSE );

curl_setopt($ch, CURLOPT_POSTFIELDS, $post);

curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');

$data = curl_exec ($ch);

$error = curl_error($ch); 

$download=json_decode( $data); 

//var_dump($download);

curl_close ($ch);
   $classandroid=" complete";
         }else{
               if($value->app_url!=''){
                   $classandroid=" complete";
                 }else{
                   $classandroid=" pending";  
                 }      
             }
             
              if($obj->status->android=='error'||$value->app_url=='error'){
               $classandroid=' error';
               $idd=$value->id;

$wpdb->query("UPDATE {$wpdb->prefix}wptm_phonegap_table SET app_url = 'error' WHERE id=$idd");

$source = "https://build.phonegap.com/api/v1/apps/".$value->app_id.'?access_token='.get_option('wptm_phonegap_access_token');

$post = array('DELETE' => '');

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, $source);

curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

curl_setopt($ch, CURLOPT_POST,1);
curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, FALSE );

curl_setopt($ch, CURLOPT_POSTFIELDS, $post);

curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');

$data = curl_exec ($ch);

$error = curl_error($ch); 

$download=json_decode( $data); 

//var_dump($download);

curl_close ($ch);
             }
             break;
             case 'ios':
             # code...


     if($obj->status->ios=='complete'){

               $source = "https://build.phonegap.com".$obj->download->android.'?access_token='.get_option('wptm_phonegap_access_token');

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, $source);

curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, FALSE );

$data = curl_exec ($ch);

$error = curl_error($ch); 

$download=json_decode( $data); 

curl_close ($ch);
   $source = $download->location;
       echo $source;

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, $source);

curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, FALSE );

$data = curl_exec ($ch);

$error = curl_error($ch);

//echo $data; 

curl_close ($ch);
     $upload_dir = wp_upload_dir();
         $destination= empty( $upload_dir['error'] ) ? $upload_dir['basedir'] . '/wptomob-APK/' : '';
       if ( !file_exists( $destination ) ) {
           $ok = mkdir( $destination, 0777, true );
         }

$file = fopen($destination.$value->app_id.basename($source), "w+");

fputs($file, $data);

fclose($file);

$filename=$value->app_id.basename($source);

$homeurl=get_home_url();

$idd=$value->id;

$wpdb->query("UPDATE {$wpdb->prefix}wptm_phonegap_table SET app_url = '$homeurl/wp-content/uploads/wptomob-APK/$filename' WHERE id=$idd");

$source = "https://build.phonegap.com/api/v1/apps/".$value->app_id.'?access_token='.get_option('wptm_phonegap_access_token');

$post = array('DELETE' => '');

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, $source);

curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

curl_setopt($ch, CURLOPT_POST,1);
curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, FALSE );

curl_setopt($ch, CURLOPT_POSTFIELDS, $post);

curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');

$data = curl_exec ($ch);

$error = curl_error($ch); 

$download=json_decode( $data); 

//var_dump($download);

curl_close ($ch);
   $classios=" complete";
         }else{
               if($value->app_url!=''){
                   $classios=" complete";
                 }else{
                   $classios=" pending";  
                 }      
             }


     if($obj->status->ios=='error'||$value->app_url=='error'){
               $classios=' error';
               $idd=$value->id;

$wpdb->query("UPDATE {$wpdb->prefix}wptm_phonegap_table SET app_url = 'error' WHERE id=$idd");

$source = "https://build.phonegap.com/api/v1/apps/".$value->app_id.'?access_token='.get_option('wptm_phonegap_access_token');

$post = array('DELETE' => '');

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, $source);

curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

curl_setopt($ch, CURLOPT_POST,1);
curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, FALSE );

curl_setopt($ch, CURLOPT_POSTFIELDS, $post);

curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');

$data = curl_exec ($ch);

$error = curl_error($ch); 

$download=json_decode( $data); 

//var_dump($download);

curl_close ($ch);
               
             }
             break;

           default:
             # code...
               break;
           }

?>

			<article id="app-2806314" class="app-summary ui-block">







<section class="summary">

           <img alt="Icon" class="app-icon" src="<?php echo $value->icon ?>">
               <h1 class="app-title"><?php echo $value->title ?></h1>

           <div class="desc">

                <?php echo $value->description ?>

             </div>
           <div class="packages">


         	<a class="pkg ios <?php echo $classios; ?>" href="<?php echo (isset($filename))?"$homeurl/wp-content/uploads/wptomob-APK/$filename":$value->app_url; ?>">.ipa</a>
               		    <a class="pkg android <?php echo $classandroid; ?>" href="<?php echo (isset($filename))?"$homeurl/wp-content/uploads/wptomob-APK/$filename":$value->app_url; ?>">.apk</a>
                 </div>


</section>

<section class="app-details"><div class="meta ui-block"><dl class="app-id">

	<dt>App ID</dt>

	<dd><?php echo $value->post_id ?></dd>

</dl>



<dl class="version">

	<dt>Version</dt>

	<dd>

	  <?php echo $value->version ?>

	</dd>

</dl>





</div></section>



<footer class="dev-tools clearfix">




 



</footer>

</article>

			<?php 

}











?>



		</div>



		

		<?php

	}









	protected static function save_builder( $builder ) {

		if ( get_option( self::option_id ) != $builder ) {

			update_option( self::option_id, $builder );

		} else {

			add_option( self::option_id, $builder, '', 'no' );

		}

	}



}



WpakBuilder::hooks();