<?php

class WpakComponentsBoSettings {

  public static function hooks() {
    if ( is_admin() ) {
      add_action( 'add_meta_boxes', array( __CLASS__, 'add_meta_boxes' ) );
      add_action( 'admin_enqueue_scripts', array( __CLASS__, 'admin_enqueue_scripts' ) );
      add_action( 'wp_ajax_wptm_update_component_type', array( __CLASS__, 'ajax_update_component_type' ) );
      add_action( 'wp_ajax_wptm_update_component_options', array( __CLASS__, 'ajax_update_component_options' ) );
      add_action( 'wp_ajax_wptm_edit_component', array( __CLASS__, 'ajax_wptm_edit_component' ) );
      add_action( 'wp_ajax_wptm_edit_post', array( __CLASS__, 'ajax_wptm_wp_update_post' ) );
    }
  }

  public static function admin_enqueue_scripts() {
    global $pagenow, $typenow;
    if ( ($pagenow == 'post.php' || $pagenow == 'post-new.php') && $typenow == 'wptm_apps' ) {
      global $post;
      wp_enqueue_script( 'wptm_components_bo_settings_js', plugins_url( 'lib/components/components-bo-settings.js', dirname( dirname( __FILE__ ) ) ), array( 'jquery' ), WpTomob::resources_version );
      wp_localize_script( 'wptm_components_bo_settings_js', 'wptm_components', array(
        'post_id' => $post->ID,
        'nonce' => wp_create_nonce( 'wpak-component-data-' . $post->ID ),
        'messages' => array(
          'confirm_delete' => __( 'Deleting a component will remove it from all existing instances of your app (even those already built and running on real phones). Are you sure you want to delete this component?', WpTomob::i18n_domain ),
          'confirm_edit' => __( 'Modifying a component will affect it on all existing instances of your app (even those already built and running on real phones). Are you sure you want to modify this component?', WpTomob::i18n_domain ),
          'confirm_add' => __( 'Creating a component will create it on all existing instances of your app (even those already built and running on real phones). Are you sure you want to create this component?', WpTomob::i18n_domain ),
        )
      ) );
    }
  }

  public static function add_meta_boxes() {
    add_meta_box(
      'wptm_app_components',
      __( 'Components', WpTomob::i18n_domain ),
      array( __CLASS__, 'inner_components_box' ),
      'wptm_apps',
      'normal',
      'default'
    );
     add_meta_box(
            'wptm_app_preview',
            __( 'Preview', WpTomob::i18n_domain ),
            array( __CLASS__, 'preview' ),
            'wptm_apps',
            'side',
            'default'
        );
  }
    public static function preview( $post, $current_box ) {
        $wp_ws_url = WpakWebServices::get_app_web_service_url( $post->ID, 'synchronization' );
    $main_infos = WpakApps::get_app_main_infos( $post->ID );
    $wptm_icon_url=($main_infos['wptm_icon']!='')?$main_infos['wptm_icon']:plugins_url('images', dirname( dirname( __FILE__ ) )).'/icons-splashscreens/android/icon.png';
        ?>
        <div style="overflow: hidden;">
                <div class="tab-content " style="overflow: hidden;height: 700px;width: 259px;right: 0%;z-index: 99999;top: 10%;">
                    <img id="osImage" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/icons.png';?>" alt="preview">

                    <img id="osImagesplash" class="splashprev" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/icons.jpg';?>" alt="preview" style="display:none;z-index:999999999;">
                    <img id="appicon" src="<?php echo $wptm_icon_url?>"  style="z-index: 37;position: absolute;top: 155px;left: 48px;width: 35px;background: white;border-radius: 11px;height: 35px;">
                    <p id="appname" style="text-align: center;z-index: 37;position: absolute;top: 192px;left: 38px;border-radius: 11px;height: 42px;color: white;font-size: x-small;width: 53px;"> <?php if($main_infos['name']!=''){ echo esc_attr( $main_infos['name'] ); }else{ echo 'My App'; }  ?></p>
            </div>
        </div>
 
        <?php
    }
  public static function inner_components_box( $post, $current_box ) {
    $components = WpakComponentsStorage::get_components( $post->ID );
    $main_infos = WpakApps::get_app_main_infos( $post->ID );
    $current_theme = WpakThemesStorage::get_current_theme( $post->ID );
    ?>
    <style>
  .fs-light.fs-upload-dropping .fs-upload-target,.fs-light.fs-upload-focus .fs-upload-target,.no-touchevents .fs-light:hover .fs-upload-target {
 background:#CFD8DC;
 border-color:#546E7A;
 color:#263238
}
.fs-upload.fs-light .fs-upload-target {
 background:#fff;
 border:3px dashed #607D8B;
 border-radius:2px;
 color:#455A64;
 font-size:14px;
 margin:0;
 padding:25px;
 text-align:center;
 -webkit-transition:background .15s linear,border .15s linear,color .15s linear,opacity .15s linear;
 transition:background .15s linear,border .15s linear,color .15s linear,opacity .15s linear
}
    body{
      background: white;
    }
    #wptm_app_components .handlediv,#wptm_app_synchronization,#wptm_simulation_box , #wptm_app_deep_linking,#wptm_app_project{
      display: none;
    }
    .ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default{
          background: -webkit-linear-gradient(#1C93B2, #91d3f2,#1C93B2) !important; /* For Safari 5.1 to 6.0 */
    background: -o-linear-gradient(#1C93B2, #91d3f2,#1C93B2) !important; /* For Opera 11.1 to 12.0 */
    background: -moz-linear-gradient(#1C93B2, #91d3f2,#1C93B2) !important; /* For Firefox 3.6 to 15 */
    background: linear-gradient(#1C93B2, #91d3f2,#1C93B2) !important; /* Standard syntax (must be last) */
    }
    #wptm_app_components .inside{
          padding-bottom: 200px !important;

    }
/*custom font*/
@import url(http://fonts.googleapis.com/css?family=Montserrat);

/*basic reset*/
* {margin: 0; padding: 0;}

/*form styles*/
#titlediv #title-prompt-text{
  font-size: 1em !important;
}
#msform {
  margin: 50px auto;
  text-align: center;
  position: relative;
  height: 916px;
}
#msform fieldset {
background: white;
    border: 0 none;
    border-radius: 3px;
    box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.4);
    padding: 20px 30px;
    box-sizing: border-box;
    width: 94%;
    margin: 0 3%;
  
  /*stacking fieldsets above each other*/
  position: absolute;
}
/*Hide all except first fieldset*/
#msform fieldset:not(:first-of-type) {
  display: none;
}
/*inputs*/
#msform input, #msform textarea {
  padding: 15px;
  border: 1px solid #ccc;
  border-radius: 3px;
  margin-bottom: 10px;
  width: 100%;
  box-sizing: border-box;
  font-family: montserrat;
  color: #2C3E50;
  font-size: 13px;
}
/*buttons*/
#msform .action-button {
  width: 100px;
  background: #27AE60;
  font-weight: bold;
  color: white;
  border: 0 none;
  border-radius: 1px;
  cursor: pointer;
  padding: 10px 5px;
  margin: 10px 5px;
}
#msform .action-button:hover, #msform .action-button:focus {
  box-shadow: 0 0 0 2px white, 0 0 0 3px #27AE60;
}
/*headings*/
.fs-title {
  font-size: 15px;
  text-transform: uppercase;
  color: #2C3E50;
  margin-bottom: 10px;
}
.fs-subtitle {
  font-weight: normal;
  font-size: 13px;
  color: #666;
  margin-bottom: 20px;
}
/*progressbar*/
#progressbar {
  margin-bottom: 30px;
  overflow: hidden;
  /*CSS counters to number the steps*/
  counter-reset: step;
}
#progressbar li {
  list-style-type: none;
  color: white;
  text-transform: uppercase;
  font-size: 9px;
  width: 20%;
  float: left;
  position: relative;
}
#progressbar li:before {
  content: counter(step);
  counter-increment: step;
  width: 20px;
  line-height: 20px;
  display: block;
  font-size: 10px;
  color: #333;
  background: white;
  border-radius: 3px;
  margin: 0 auto 5px auto;
}
/*progressbar connectors*/
#progressbar li:after {
  content: '';
  width: 100%;
  height: 2px;
  background: white;
  position: absolute;
  left: -50%;
  top: 9px;
  z-index: -1; /*put it behind the numbers*/
}
#progressbar li:first-child:after {
  /*connector not needed before the first step*/
  content: none; 
}
/*marking active/completed steps green*/
/*The number of the step and the connector before it = green*/
#progressbar li.active:before,  #progressbar li.active:after{
  background: #27AE60;
  color: white;
}


.holds-the-iframe {
  background: url(https://media.giphy.com/media/c8aGETyW640Fi/giphy.gif) top center no-repeat;
  /*background:url(https://media.giphy.com/media/26tPgy93ssTeTTSqA/giphy.gif) center center no-repeat;*/
 }


    </style>
    <!-- multistep form -->
      <div style="overflow: hidden;">
                <div class="tab-content holds-the-iframe" style="height: 700px;position: fixed;width: 259px;right: 0%;z-index: 99999;top: 13%;display:none;">
                    <!-- <iframe id="preview" class="android" src="<?php echo WpakBuild::get_appli_index_url( $post->ID );?>"></iframe> -->
                    <img id="osImagep" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/iphone.png';?>" alt="preview">
                    <div id="preview1" ></div>
            </div>
        </div>
<div id="msform">
  <!-- progressbar -->
  <ul id="progressbar">
    <li class="active">Account Setup</li>
    <li>Account Setup</li>
    <li>Social Profiles</li>
    <li>Personal Details</li>
  </ul>
  <div>
  <!-- fieldsets -->
  <fieldset>
    <?php WpakApps::inner_main_infos_box($post, $current_box);?>

<div class="row">
  <img id="android" class="platform_icons" style="height: 50px;width: 70px;margin: 5px;cursor:pointer;" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/android.png';?>">
  <img id="ios" class="platform_icons" style="height: 50px;width: 70px;margin: 5px;cursor:pointer;" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/Apple.png';?>">
  </div>
        <div class="field-group">
          <label><?php _e( 'Name', WpTomob::i18n_domain ) ?></label>
          <input type="text" name="wptm_app_name" value="<?php echo esc_attr( $main_infos['name'] ) ?>" placeholder="Application Name" id="wptm_app_name" required/>
        </div>
        <div class="field-group">
          <label><?php _e( 'Description', WpTomob::i18n_domain ) ?></label>
          <textarea name="wptm_app_desc" id="wptm_app_desc" placeholder="Application Description" required><?php echo esc_textarea( $main_infos['desc'] ) ?></textarea>
        </div>
        <div class="field-group">
          <label><?php _e( 'ID', WpTomob::i18n_domain ) ?> ( Exemple:com.mydomainhere.appnamehere ) </label>
          <input type="text" name="wptm_app_phonegap_id" value="<?php echo esc_attr( $main_infos['app_phonegap_id'] ) ?>" placeholder="com.mydomainhere.appnamehere" id="wptm_app_app_phonegap_id" required/>
        </div>
        <div class="field-group">
          <label><?php _e( 'Version', WpTomob::i18n_domain ) ?> ( Exemple:1.0 ) </label>
          <input type="text" name="wptm_app_version" placeholder="Application version" value="<?php echo esc_attr( $main_infos['version'] ) ?>" id="wptm_app_version" required />
        </div>
        <div  class="field-group">
        <div class="col-md-6">
          <label>Icons ( Only PNG )</label>
          <div class="upload fs-upload-element fs-upload fs-light"><div class="fs-upload-target"> click to select</div><input  name="icons[]" class="fs-upload-input" multiple="" type="file" accept="image/x-png"></div>
          <input id="wptm_icon"  name="wptm_icon" class="fs-upload-input" value="<?php if($main_infos['wptm_icon']!='')echo $main_infos['wptm_icon'];?>"  type="text" >
          <input id="wptm_icon_path"  name="wptm_icon_path" class="fs-upload-input" value="<?php if($main_infos['wptm_icon_path']!='')echo $main_infos['wptm_icon_path'];?>"  type="text" >
            <div style="width:100%;height:20%;display:none;" id="iconload" class="lds-ellipsis">
    <div>
      <div></div>
    </div>
    <div>
      <div></div>
    </div>
    <div>
      <div></div>
    </div>
    <div>
      <div></div>
    </div>
    <div>
      <div></div>
    </div>
    <div>
      <div></div>
    </div>
  </div>
          </div>
        <div class="col-md-6">
        <label>Splashscreens  ( Only PNG )</label>
          <div class="upload1 fs-upload-element fs-upload fs-light">
          <div class="fs-upload-target"> click to select</div>
          <input  name="splas[]" class="fs-upload-input" multiple="" type="file" accept="image/x-png">
          <input id="wptm_splash"  name="wptm_splash" class="fs-upload-input" value="<?php if($main_infos['wptm_splash']!='')echo $main_infos['wptm_splash'];?>" type="text">
          <input id="wptm_splash_path"  name="wptm_splash_path" class="fs-upload-input" value="<?php if($main_infos['wptm_splash_path']!='')echo $main_infos['wptm_splash_path'];?>" type="text">
          </div>
            <div style="width:100%;height:20%;display:none;" id="splashload" class="lds-ellipsis">
    <div>
      <div></div>
    </div>
    <div>
      <div></div>
    </div>
    <div>
      <div></div>
    </div>
    <div>
      <div></div>
    </div>
    <div>
      <div></div>
    </div>
    <div>
      <div></div>
    </div>
  </div>
          </div>

          
<style type="text/css">@-webkit-keyframes lds-ellipsis3 {
  0%, 25% {
    left: 32px;
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  50% {
    left: 32px;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  75% {
    left: 100px;
  }
  100% {
    left: 168px;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
@keyframes lds-ellipsis3 {
  0%, 25% {
    left: 32px;
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  50% {
    left: 32px;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  75% {
    left: 100px;
  }
  100% {
    left: 168px;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
@-webkit-keyframes lds-ellipsis2 {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  25%, 100% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }
}
@keyframes lds-ellipsis2 {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  25%, 100% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }
}
@-webkit-keyframes lds-ellipsis {
  0% {
    left: 32px;
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  25% {
    left: 32px;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50% {
    left: 100px;
  }
  75% {
    left: 168px;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  100% {
    left: 168px;
    -webkit-transform: scale(0);
    transform: scale(0);
  }
}
@keyframes lds-ellipsis {
  0% {
    left: 32px;
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  25% {
    left: 32px;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50% {
    left: 100px;
  }
  75% {
    left: 168px;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  100% {
    left: 168px;
    -webkit-transform: scale(0);
    transform: scale(0);
  }
}
.lds-ellipsis {
  position: relative;
}
.lds-ellipsis > div {
  position: absolute;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  width: 32px;
  height: 32px;
}
.lds-ellipsis div > div {
  width: 32px;
  height: 32px;
  border-radius: 50%;
  background: #f00;
  position: absolute;
  margin-top: -100px;
  top: 100px;
  left: 32px;
  -webkit-animation: lds-ellipsis 1.6s cubic-bezier(0, 0.5, 0.5, 1) infinite forwards;
  animation: lds-ellipsis 1.6s cubic-bezier(0, 0.5, 0.5, 1) infinite forwards;
}
.lds-ellipsis div:nth-child(1) div {
  -webkit-animation: lds-ellipsis2 1.6s cubic-bezier(0, 0.5, 0.5, 1) infinite forwards;
  animation: lds-ellipsis2 1.6s cubic-bezier(0, 0.5, 0.5, 1) infinite forwards;
  background: #27AE60;
}
.lds-ellipsis div:nth-child(2) div {
  -webkit-animation-delay: -0.8s;
  animation-delay: -0.8s;
  background: #777777;
}
.lds-ellipsis div:nth-child(3) div {
  -webkit-animation-delay: -0.4s;
  animation-delay: -0.4s;
  background: #27AE60;
}
.lds-ellipsis div:nth-child(4) div {
  -webkit-animation-delay: -0.4s;
  animation-delay: -0.4s;
  background: #27AE60;
}
.lds-ellipsis div:nth-child(5) div {
  -webkit-animation-delay: 0s;
  animation-delay: 0s;
  background: #777777;
}
.lds-ellipsis div:nth-child(6) div {
  -webkit-animation: lds-ellipsis3 1.6s cubic-bezier(0, 0.5, 0.5, 1) infinite forwards;
  animation: lds-ellipsis3 1.6s cubic-bezier(0, 0.5, 0.5, 1) infinite forwards;
  background: #27AE60;
}
</style>

        </div>
    <input type="button" name="next" class="next action-button" value="Next" />
  </fieldset>
  <!-- fieldsets -->
  <fieldset>
    <?php WpakApps::inner_phonegap_infos_box($post, $current_box);?>
    <input type="button" name="previous" class="previous action-button" value="Previous" />
    <input type="button" name="next" class="next action-button" value="Next" />
  </fieldset>
  <!-- fieldsets -->
  <fieldset>
    <a href="#" class="hide-if-no-js wptm_help"><?php _e( 'Help me', WpTomob::i18n_domain ); ?></a>
    <p class="description"><?php _e( 'Click Add New to add the different components that compose your app. Most components are data sources and correspond to app\'s screens. They can be referenced in the app\'s menu.', WpTomob::i18n_domain ) ?></p>

    <div id="components-wrapper">

      <a href="#" class="add-new-h2" id="add-new-component"><?php _ex( 'Add New', 'Add new component', WpTomob::i18n_domain ); ?></a>

      <div id="components-feedback" style="display:none"></div>
<?php 
    // var_dump(wp_nav_menu());
    // var_dump(wp_get_nav_menu_items('main-menu'));
?>
      <div id="new-component-form" style="display:none">
        <h4><?php _e( 'New Component', WpTomob::i18n_domain ) ?></h4>
        <?php self::echo_component_form( $post->ID ) ?>
      </div>

      <table id="components-table" class="wp-list-table widefat fixed" >
        <thead>
          <tr>
            <th><?php _e( 'Name', WpTomob::i18n_domain ) ?></th>
            <th><?php _e( 'Slug', WpTomob::i18n_domain ) ?></th>
            <th><?php _e( 'Type', WpTomob::i18n_domain ) ?></th>
            <th><?php _e( 'Options', WpTomob::i18n_domain ) ?></th>
          </tr>
        </thead>
        <tbody>
          <?php if ( !empty( $components ) ): ?>
            <?php $i = 0 ?>
            <?php foreach ( $components as $id => $component ): ?>
              <?php echo self::get_component_row( $post->ID, $i++, $id, $component ) ?>
            <?php endforeach ?>
          <?php else: ?>
            <tr class="no-component-yet"><td colspan="4"><?php _e( 'No Component yet!', WpTomob::i18n_domain ) ?></td></tr>
          <?php endif ?>
        </tbody>
      </table>
      
      <?php 
        /**
         * 'wptm_components_list_after' action.
         * Use this action to insert custom content after components list
         * 
         * @param    array    $components    List of components
         * @param    int      $app_id        Application id
         */
        do_action( 'wptm_components_list_after', $components, $post->ID ); 
      ?>

      <?php WpakComponentsTypes::echo_components_javascript() ?>

    </div>

    <?php // TODO: Use an external CSS file ?>

    <style>
      #components-wrapper{ margin-top:1em }
      #components-table{ margin-top:5px }
      #new-component-form{ margin-bottom: 4em }
      #components-wrapper #components-feedback{ margin-top:15px; margin-bottom:17px; padding-top:12px; padding-bottom:12px; }
    </style>
<?php do_action( 'wptm_inner_main_infos_box', $post, $current_box );?>
    <input type="button" name="previous" class="previous action-button" value="Previous" />
    <input type="button" name="next" class="next action-button " value="Next" />
  </fieldset>
  <fieldset>
<?php WpakThemesBoSettings::inner_main_infos_box($post, $current_box);?>
    <input type="button" name="previous" class="previous action-button" value="Previous" />
    <input type="button" name="next" class=" action-button" value="Save" id="triggersave" />
  </fieldset>
  <fieldset>
    <?php AuthenticationSettings::inner_auth_settings_box($post, $current_box);?>
    <input type="button" name="previous" class="previous action-button" value="Previous" />
    <input type="submit" name="submit" class="submit action-button" value="Submit" />
  </fieldset>
  </div>
</div>

<!-- jQuery -->
<!-- jQuery easing plugin -->
<!-- <script src="http://thecodeplayer.com/uploads/js/jquery.easing.min.js" type="text/javascript"></script> -->
<!-- <script  src="<?php echo get_site_url(); ?>/wp-content/themes-wptomob/<?php echo $current_theme; ?>/js/functions.js?wptm_app_id=gfdgfd"></script> -->
<script>
   jQuery("#triggersave").click(function(){
    jQuery("#publishing-action #publish").trigger("click")
  })
  // Global variables
    var isMenuOpen = false; // Stores if the off-canvas menu is currently opened or closed
    var showRipple = false; // Show ripple effect for the element
    var $slideupPanelClones = []; // Array to store slide up panels' stack
    var $currentContainer; // Current slide up panel
    var $currentPanelContent; // Current slide up panel content container
    var effectLayerMemorizedStyle = ''; // ?

    // Selector caching
    var $slideUpPanel = jQuery('#slideup-panel'); // Slide up panel model
    var $appCanvas = jQuery('#app-canvas'); // App canvas element
        
    // Animated spinner
    // @todo: rename spinnner -> $spinner
    var spinner = '<svg class="spinner" width="66px" height="66px" viewBox="0 0 66 66" xmlns="http://www.w3.org/2000/svg"><circle class="path" fill="none" stroke-width="6" stroke-linecap="round" cx="33" cy="33" r="20"></circle></svg>';


      // Menu button events
    jQuery("#preview1").on("mousedown","#menu-button", menuButtonTapOn);
    jQuery("#preview1").on("touchstart","#menu-button", menuButtonTapOn);
    jQuery("#preview1").on("mouseup","#menu-button", menuButtonTapOff);
  jQuery("#preview1").on("touchend","#menu-button", menuButtonTapOff);

    // Refresh button events
    jQuery("#preview1").on("mousedown","#refresh-button", refreshTapOn);
    jQuery("#preview1").on("touchstart","#refresh-button", refreshTapOn);
    jQuery("#preview1").on("mouseup","#refresh-button", refreshTapOff);
  jQuery("#preview1").on("touchend","#refresh-button", refreshTapOff);

    // Menu item events
  jQuery("#preview1").on( "touchstart", "#menu-items li a", menuItemTapOn );
    jQuery("#preview1").on( "touchend", "#menu-items li a", menuItemTapOff );
  
    // Content item events
    jQuery("#preview1").on("mousedown","#content .content-item a", contentItemTapOn);
    jQuery("#preview1").on("touchstart","#content .content-item a", contentItemTapOn);
    jQuery("#preview1").on("click","#content .content-item a", contentItemTap);

    // Close slideup panel button events
    jQuery("#preview1").on("mousedown","#back-button", closePanelButtonTapOn);
    jQuery("#preview1").on("touchstart","#back-button", closePanelButtonTapOn);
    jQuery("#preview1").on("mouseup","#back-button", closePanelButtonTapOff);
    jQuery("#preview1").on("touchend","#back-button", closePanelButtonTapOff);

    // Block clicks on images in posts
    jQuery("#preview1").on("click touchend","#single-content .content-image-link",function(e){e.preventDefault();});
    
    // Get more button events
    jQuery('#preview1').on('touchstart', '#get-more-button', getMoreButtonTapOn);
    jQuery('#preview1').on('touchend', '#get-more-button', getMoreButtonTapOff);
    
    // Ripple effect events
    jQuery('#preview1').on( 'touchstart', '.has-ripple-feedback', rippleItemTapOn );
    jQuery('#preview1').on( 'touchend', '.has-ripple-feedback', rippleItemTapOff );


    window.displayDefaultImage = function(o) {
        jQuery(o).attr('src',TemplateTags.getThemeAssetUrl('img/img-icon.svg'));
    }

    
 

    // @desc Open off-canvas menu
    function openMenu() {

        jQuery("#menu-items").css("display","block");
    
        jQuery("#app-canvas").animate({
            left:"85%",
        }, {
            duration: 300,
            complete: function() {
                setTimeout(function(){
                    isMenuOpen=true;
                },150);
            }
        });    
    }

    // @desc Close off-canvas menu
    // @param action (1 means that we close the off-canvas menu after clicking on a menu item)
    // @param menuItem
    function closeMenu( action, menuItem ) {

        isMenuOpen = false;

        jQuery("#app-canvas").animate({
            left: "0",
        }, {
            duration: 300,
            complete: function() {

                jQuery("#menu-items").css("display","none");

                // We have tapped a menu item, let's open the corresponding screen
                if (action==1) {
                    navigate( menuItem.attr("href") );
                }
            }
        });
    }

    // @desc Open or close off-canvas menu (based on isMenuOpen variable)
    function toggleMenu() {  
        if (isMenuOpen) {
            closeMenu();
        } else {
            openMenu();
        }
    }

    // @desc Finger presses the menu button
    function menuButtonTapOn(e) {
        e.preventDefault();
        showRipple = true; // Show ripple effect
    }

    // @desc Finger releases the menu button
    function menuButtonTapOff(e) {
        e.preventDefault();
        toggleMenu(); // Open or close off-canvas menu
    }

    function menuItemTapOn(e) {
        showRipple = true; // Show ripple effect
    }
    
    function menuItemTapOff(e) {
        
        e.preventDefault();
        
        if (isMenuOpen) {

            // Select tapped item
            jQuery("#menu-items li").removeClass("menu-active-item"); // Unselect all menu items
            jQuery(this).closest("li").addClass("menu-active-item");

            // Close menu and navigate to the item's corresponding screen
            // @todo use navigate here rather than in close menu
            closeMenu(1,jQuery(this));
            
        }
    
    }

    // @desc Finger taps one of the post item in a post list
    function contentItemTap(e) {

        e.preventDefault();
        
        if (!isMenuOpen) {
              var iframe = document.getElementById("preview");


                var theme= jQuery("#wptm_app_theme_choice").val()
    var style='<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/common.css?wptm_app_id=gfdgfd"+'">'+
    '<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/post-list.css?wptm_app_id=gfdgfd"+'">'+
    '<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/post-detail.css?wptm_app_id=gfdgfd"+'">';

    var iframe_contents = style+iframe.contentDocument.body.innerHTML;
    jQuery('#preview1').html(iframe_contents)

            jQuery('#app-header').css({'color':jQuery('#HeaderFontColorHex input').val()})
        
            jQuery('#app-header').css({'background':jQuery('#HeaderBgColorHex input').val()})
      
      
    iframe.src = "<?php echo WpakBuild::get_appli_index_url( $post->ID );?>#component-fdgdfg";
     // Display post
        } else {
            closeMenu(); // Tapping a post item when the off-canvas menu is opened closes it
        }
    }

    function contentItemTapOn(e) {
        showRipple = true; // Show ripple effect
    }
    
    /*
     * 2. Message bar
     */

    // @desc Show toast message during 3 sec
    function showMessage( msgText, autoHide ) {
        
        // By default toast message hides itself
        var autoHide = typeof autoHide !== 'undefined' ? autoHide : true; // Can't use default value for parameters on Android
        
        jQuery("#app-message-bar").animate({
            opacity: .9
        },{
            queue: false,
            display: 'block',
            duration: 250,
            begin: function() {                
                jQuery("#app-message-bar").html(msgText);            },
            complete: function () {
            }
        });
        
        // Hide toast message
        if ( autoHide === true ) {
            setTimeout( hideMessage, 3000 );
        }

    }

    // @desc Hide toast message
    function hideMessage() {
        jQuery("#app-message-bar").animate({
            opacity: 0
        },{
            queue: false,
            display: 'none',
            duration: 250,
            begin: function() {                
            },
            complete: function () {
                jQuery("#app-message-bar").html("");
            }
        });
    }

    /*
     * 3. Refresh button
     */
        
    // @desc Finger taps the refresh button
    function navigate(e) {
                var iframe = document.getElementById("preview");

iframe.src = "<?php echo WpakBuild::get_appli_index_url( $post->ID );?>#component-fdgdfg";
                var theme= jQuery("#wptm_app_theme_choice").val()
    var style='<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/common.css?wptm_app_id=gfdgfd"+'">'+
    '<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/post-list.css?wptm_app_id=gfdgfd"+'">'+
    '<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/post-detail.css?wptm_app_id=gfdgfd"+'">';

    var iframe_contents = style+iframe.contentDocument.body.innerHTML;
    jQuery('#preview1').html(iframe_contents)
      
            jQuery('#app-header').css({'color':jQuery('#HeaderFontColorHex input').val()})
        
            jQuery('#app-header').css({'background':jQuery('#HeaderBgColorHex input').val()})
          jQuery('#app-menu').css({'background':jQuery('#menuAColorHex input').val()})
        
            jQuery('#menu-items.menu-items li a').css({'background':jQuery('#menuitemsColorHex input').val()})
        
            jQuery('#menu-items.menu-items li a').css({'color':jQuery('#menuBColorHex input').val()})
    }
    function refreshTapOn(e) {
        e.preventDefault();
        showRipple = true; // Show ripple effect
    }

    // @desc Finger releases the refresh button
    function refreshTapOff(e) {
        e.preventDefault();
        if (!App.isRefreshing()) { // Check if the app is not already refreshing content
            App.refresh(); // Refresh content
        }
    }

    // @desc Stop spinning when refresh ends
    function stopRefresh() {
        jQuery("#refresh-button").removeClass("refresh-on").addClass("refresh-off"); 
    }

    /*
     * 5. More button
     */

    // @desc Finger taps the get more button
    function getMoreButtonTapOn(e) {
        showRipple = true; // Show ripple effect
    }
    
    // @desc Finger releases the get more button
    function getMoreButtonTapOff(e) {

        e.preventDefault();
        
        // Disable the Get more button and show spinner
        jQuery('#get-more-button').attr('disabled','disabled');
        jQuery("#get-more-button").append(spinner);

        // Get the next posts
        App.getMoreComponentItems(
            function() {

                // On success, hide spinner and activate the Get more button
                jQuery("#get-more-button .spinner").remove();
                jQuery('#get-more-button').removeAttr('disabled');

            }, function(error, get_more_link_data) {

                // On error, hide spinner and activate the Get more button
                // @todo: fire a specific message
                jQuery("#get-more-button .spinner").remove();
                jQuery('#get-more-button').removeAttr('disabled');
                
            }
        );
    }


    
    // @desc Finger taps the close button
    function closePanelButtonTapOn(e) {
        e.preventDefault();
        showRipple = true; // Show ripple effect
    }
    
    // @desc Finger releases the close button
    function closePanelButtonTapOff(e) {
        e.preventDefault();

                var iframe = document.getElementById("preview");
                var theme= jQuery("#wptm_app_theme_choice").val()
    var style='<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/common.css?wptm_app_id=gfdgfd"+'">'+
    '<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/post-list.css?wptm_app_id=gfdgfd"+'">'+
    '<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/post-detail.css?wptm_app_id=gfdgfd"+'">';

    var iframe_contents = style+iframe.contentDocument.body.innerHTML;
    jQuery('#preview1').html(iframe_contents)
  
            jQuery('#app-header').css({'color':jQuery('#HeaderFontColorHex input').val()});
        
            jQuery('#app-header').css({'background':jQuery('#HeaderBgColorHex input').val()});
            jQuery('#app-menu').css({'background':jQuery('#menuAColorHex input').val()});
            jQuery('#menu-items.menu-items li a').css({'background':jQuery('#menuitemsColorHex input').val()});
                jQuery('#menu-items.menu-items li a').css({'color':jQuery('#menuBColorHex input').val()});

        // navigate(TemplateTags.getPreviousScreenLink()); // Navigate to the previous screen
    }
    

    
    /*
     * 8. Content
     */
    
    // @desc Prepare content for proper display / Part of the work is done in /php/prepare-content.php
    function prepareContent( currentScreenObject ) {

        // Modify embedded tweets code for proper display
        // Note: it is not possible to style embedded tweet in apps as Twitter doesn't identify the referer
        jQuery(".single-template blockquote.twitter-tweet p").css( "display", "inline-block" );
        
        // Set content for unavailable content notification
        // Note: unavaible content is notified with [hide_from_apps notify="yes"] shortcode
        jQuery(".wpak-content-not-available").html('Content unavailable');
    
    }
    
    // @desc Hyperlinks click handler
    // Relies on the InAppBrowser Cordova Core Plugin / https://build.phonegap.com/plugins/233
    // Target _blank calls an in app browser (iOS behavior)
    // Target _system calls the default browser (Android behavior)
    // Link begins with #, route to an internal screen
    // @param {object} e
    function openInBrowser(e) {

        e.preventDefault();
        
        // Get the href attribute value
        // Using attr() rather than directly .href to get the not modified value of the href attribute
        var href = jQuery(e.target).attr('href');
        
        if ( href.charAt(0) !== '#' ) { // href doesn't begin with #
            
            try { // InAppBrowser Cordova plugin is available
                cordova.InAppBrowser.open( href, '_system', 'location=yes' ); // Launch the default Android browser
            } catch(err) { // InAppBrowser Cordova plugin is NOT available
                window.open( href, '_blank', 'location=yes' ); // Open a new browser window
            }
            
        } else { // href begins with # (ie. it's an internal link)
            
            navigate( href ); // Navigate to the corresponding screen
            
        }
        

    }

    // @desc Load videos / launched after transitions to keep them smooth
    // data-src are filled and src emptied in /php/prepare-content.php
    // We use the fitVids library to make videos responsive (https://github.com/davatron5000/FitVids.js)
    function loadAndFormatVideosFor( currentScreenObject ) { // @todo currently bugging with pages

        if ( currentScreenObject.screen_type === 'single' ) {
        
            var currentContainerId = getIdFor(jQuerycurrentContainer);

            jQuery('#' + currentContainerId + ' ' + 'iframe').each(function(index) {
                if (jQuery(this).attr('data-src')) {
                    jQuery(this).attr('src', jQuery(this).attr('data-src'));
                }
            });

            jQuery('#' + currentContainerId + ' ' + '#single-content').fitVids();
        }
        
        if ( currentScreenObject.screen_type === 'page' ) {

            jQuery("iframe").each(function(index) {
                if (jQuery(this).attr('data-src')) {
                    jQuery(this).attr('src', jQuery(this).attr('data-src'));
                }
            });

            jQuery('#single-content').fitVids();

        }

    }

    
    
    /*
     * 9. Ripple effect
     */
    
    // @desc Finger taps an element with ripple effect
    function rippleItemTapOn(e){

        if ( showRipple === true ) {

            // Get the original tapped element
            jQuerycurrentTarget = jQuery(e.currentTarget);

            // Add the ripple drop element and cache it for later use
            jQuerycurrentTarget.prepend('<span class="ripple-drop"></span>');
            var jQueryrippleDrop = jQuerycurrentTarget.find('.ripple-drop');

            // Set the maximum size of the ripple drop according to the tapped element
            var rippleDropSize;

            if (jQuerycurrentTarget.hasClass('ripple-small')) {
                rippleDropSize = 56;
            } else {
                rippleDropSize = Math.max(jQuerycurrentTarget.outerWidth(), jQuerycurrentTarget.outerHeight());
            }

            jQueryrippleDrop.css({
                'width' : rippleDropSize,
                'height' : rippleDropSize
            });

            // Set the overflow of the tapped element to get the ripple drop cut effect
            var h = jQuerycurrentTarget.height();

            if (jQuerycurrentTarget.css('overflow') != 'hidden') {
                jQuerycurrentTarget.css('height', h + 'px');
                jQuerycurrentTarget.css('overflow','hidden');
            }

            // Set the position of the ripple drop on the tapped element
            var tapPos;

            tapPos = getTapPos(e);

            jQueryrippleDrop.css({
                'top' : (tapPos.tapTop - jQuerycurrentTarget.offset().top) - jQueryrippleDrop.width()/2,
                'left' : (tapPos.tapLeft - jQuerycurrentTarget.offset().left) - (jQueryrippleDrop.width()/2)
            });
            
            // Animate the ripple drop
            jQueryrippleDrop.animate({
                scaleX: 2.5,
                scaleY: 2.5,
                opacity: 0
            },{
                duration: 600,
                easing: 'linear',
                complete: function () {
                    jQueryrippleDrop.remove(); // Remove the ripple drop when finished
                }
            });

        }
        
    }

    // @desc A finger releases an element with ripple effect
    function rippleItemTapOff(e){
        showRipple = false; // Reset ripple effect
    }

    // @desc Get global tap position
    function getTapPos(e) {
        
        var tapEvent, tapPos;
        tapEvent = e.originalEvent.touches[0];
        tapPos = {
            tapLeft: tapEvent.pageX,
            tapTop: tapEvent.pageY
        };
        return tapPos;
        
    }
    
    /*
     * 10. Slide up panels stack
     */
    
    // @desc Add and get current slide up panel
    function getContainer() {
        
        var p = jQueryslideupPanelClones.length;
        
        // Clone slide up panel model
        jQueryslideupPanelClones[p] = jQueryslideUpPanel.clone();
        jQueryslideupPanelClones[p].attr('id','slideup-panel-' + p);
        jQueryappCanvas.append( jQueryslideupPanelClones[p] );
        
        return jQueryslideupPanelClones[p];
    
    }
    
    // @desc Get a cloned slide up panel ID
    function getIdFor(o) {
        return jQuery(o).attr('id');
    }
    
    // @desc Get a slide up panel content area
    function getPanelContentFor(id) {
        var jQuerypanelContent = jQuery( '#' + id + ' .panel-content' );
        return jQuerypanelContent;
    }

    // @desc Kill a cloned slide up panel 
    function removeContainer(o) {

        o.remove();
        
        jQueryslideupPanelClones.pop();
        
        var p = jQueryslideupPanelClones.length;
        
        if ( p > 0 ) {
            jQuerycurrentContainer = jQueryslideupPanelClones[p-1];
        }
        
    }
</script>
  <script>
jQuery(document).ready(function(){
  jQuery("#wptm_app_platform").hide();
  classplatforml=jQuery("#wptm_app_platform").val();
  jQuery('#'+classplatforml).addClass('selected')
  jQuery('#ios').click(function(){

  jQuery('#ios').addClass('selected')
  jQuery('#android').removeClass('selected')
  jQuery("#wptm_app_platform option[value=ios]").attr('selected','selected')
  })
  jQuery('#android').click(function(){
  jQuery('#android').addClass('selected')
  jQuery('#ios').removeClass('selected')
  jQuery("#wptm_app_platform option[value=android]").attr('selected','selected')
  })
// jQuery(".upload").upload({
//  action: ajaxurl,
//  postData:{action:'upload_icons_ajax_ajax'}
// });
jQuery('.upload .fs-upload-target').click(function(){
  jQuery('.upload .fs-upload-input').trigger('click')
})

jQuery('.upload1 .fs-upload-target').mouseenter(function(){
  if(jQuery("#wptm_splash").val()!='')
jQuery(".splashprev").attr("src",jQuery('#wptm_splash').val()).fadeIn(500)
})

jQuery('.upload1 .fs-upload-target').mouseout(function(){
jQuery(".splashprev").fadeOut(500)
})
jQuery('.upload1 .fs-upload-target').click(function(){
  jQuery('.upload1 .fs-upload-input').trigger('click')
})
jQuery('.upload .fs-upload-input').change(function() {
  // console.log(jQuery(this)[0].files)
  var fd = new FormData();
  // var data={action:'wptm_upload_icons_ajax',file:fd.append('file', jQuery(this)[0].files[0])};
  
fd.append('file', jQuery(this)[0].files[0])
fd.append('action', 'wptm_upload_icons_ajax')
  
jQuery("#iconload").show()

jQuery.ajax({
    url : ajaxurl,
    type: "POST",
    data : fd    ,
    processData: false,  // tell jQuery not to process the data
    contentType: false ,  // tell jQuery not to set contentType
    success:function(data, textStatus, jqXHR){
      result=jQuery.parseJSON(data);
      jQuery('#appicon').attr('src',result.url)
      jQuery("#wptm_icon").val(result.url)
      jQuery("#wptm_icon_path").val(result.file)
      jQuery("#iconload").hide()
    }
  })
})
jQuery('.upload1 .fs-upload-input').change(function() {
  // console.log(jQuery(this)[0].files)
  var fd = new FormData();
  // var data={action:'wptm_upload_icons_ajax',file:fd.append('file', jQuery(this)[0].files[0])};
  
fd.append('file', jQuery(this)[0].files[0])
fd.append('action', 'wptm_upload_icons_ajax')
jQuery("#splashload").show()  

jQuery.ajax({
    url : ajaxurl,
    type: "POST",
    data : fd    ,
    processData: false,  // tell jQuery not to process the data
    contentType: false ,  // tell jQuery not to set contentType
    success:function(data, textStatus, jqXHR){
      result=jQuery.parseJSON(data);
      jQuery("#wptm_splash").val(result.url)
      jQuery("#wptm_splash_path").val(result.file)
      jQuery("#splashload").hide()
      jQuery(".splashprev").attr("src",result.url).fadeIn(500).delay(10000).fadeOut(500)

    }
  })
})
  //jQuery time
var current_fs, next_fs, previous_fs; //fieldsets
var left, opacity, scale; //fieldset properties which we will animate
var animating; //flag to prevent quick multi-click glitches
jQuery('#wptm_app_name').keyup(function(event) {
  /* Act on the event */
jQuery("#appname").text(jQuery(this).val())
});
jQuery(".savepostnow").click(function(){
  jQuery('#publish').trigger('click');
})
jQuery("#wptm_app_theme_choice").change(function(){
  var theme= jQuery("#wptm_app_theme_choice").val()
    var iframe = document.getElementById("theme"+theme);
    var style='<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/common.css?wptm_app_id=gfdgfd"+'">'+
    '<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/post-list.css?wptm_app_id=gfdgfd"+'">'+
    '<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/post-detail.css?wptm_app_id=gfdgfd"+'">';
    var iframe_contents = style+iframe.innerHTML;
    jQuery('#preview1').html(iframe_contents)
    
            jQuery('#app-header').css({'color':jQuery('#HeaderFontColorHex input').val()})
        
            jQuery('#app-header').css({'background':jQuery('#HeaderBgColorHex input').val()})
          jQuery('#app-menu').css({'background':jQuery('#menuAColorHex input').val()})
        
            jQuery('#preview1 #content').css({'background':jQuery("#appbackColorHex input").val()})
            jQuery('#menu-items.menu-items li a').css({'background':jQuery('#menuitemsColorHex input').val()})
      
            jQuery('#menu-items.menu-items li a').css({'color':jQuery('#menuBColorHex input').val()})
})
jQuery(".next").click(function(){
  var form = jQuery("form");
  if(animating) return false;
  if ((jQuery("fieldset").index(jQuery(this).parent().next())-3)==3) {

    jQuery('#wptm_app_preview').hide()
    jQuery('iframe#preview').hide()
    jQuery('.holds-the-iframe').show()
    var theme= jQuery("#wptm_app_theme_choice").val()
    var iframe = document.getElementById("theme"+theme);
    var style='<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/common.css?wptm_app_id=gfdgfd"+'">'+
    '<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/post-list.css?wptm_app_id=gfdgfd"+'">'+
    '<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/post-detail.css?wptm_app_id=gfdgfd"+'">';
    var iframe_contents = style+iframe.innerHTML;
    jQuery('#preview1').html(iframe_contents)
      
            jQuery('#app-header').css({'color':jQuery('#HeaderFontColorHex input').val()})
        
            jQuery('#app-header').css({'background':jQuery('#HeaderBgColorHex input').val()})
          jQuery('#app-menu').css({'background':jQuery('#menuAColorHex input').val()})
        
            jQuery('#preview1 #content').css({'background':jQuery("#appbackColorHex input").val()})
            jQuery('#menu-items.menu-items li a').css({'background':jQuery('#menuitemsColorHex input').val()})
      
            jQuery('#menu-items.menu-items li a').css({'color':jQuery('#menuBColorHex input').val()})
                var iframe = document.getElementById('preview');

  }else{
    jQuery('#wptm_app_preview').show()
    jQuery('iframe#preview').show()
    jQuery('.holds-the-iframe').hide()
  }
  <?php if(isset($_GET['action'])){?>
    
   var data = jQuery('form').serializeArray();
   data.forEach(function(element,endex){
    if(element.name=='index'){
      data[endex]['value'] = 'wptm_edit_post';
    }
   })
   

 

    jQuery.post(ajaxurl, data, function(response) {


    });

    <?php } ?>
  animating = true;
  
  current_fs = jQuery(this).parent();
  next_fs = jQuery(this).parent().next();
  
  //activate next step on progressbar using the index of next_fs
  jQuery("#progressbar li").eq(jQuery("fieldset").index(next_fs)-3).addClass("active");
  
  //show the next fieldset
  next_fs.show(); 
  //hide the current fieldset with style
  current_fs.animate({opacity: 0}, {
    step: function(now, mx) {
      //as the opacity of current_fs reduces to 0 - stored in "now"
      //1. scale current_fs down to 80%
      scale = 1 - (1 - now) * 0.2;
      //2. bring next_fs from the right(50%)
      left = (now * 50)+"%";
      //3. increase opacity of next_fs to 1 as it moves in
      opacity = 1 - now;
      current_fs.css({'transform': 'scale('+scale+')'});
      next_fs.css({'left': left, 'opacity': opacity});
    },  
    duration: 800, 
    complete: function(){
      current_fs.hide();
      animating = false;
    }, 
    //this comes from the custom easing plugin
    easing: 'easeInOutBack'
  });
});

jQuery(".previous").click(function(){
  if(animating) return false;
    if ((jQuery("fieldset").index(jQuery(this).parent().prev())-3)==3) {

    jQuery('#wptm_app_preview').hide()
    jQuery('iframe#preview').hide()
    jQuery('.holds-the-iframe').show()
    var theme= jQuery("#wptm_app_theme_choice").val()
    var iframe = document.getElementById("theme"+theme);
    var style='<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/common.css?wptm_app_id=gfdgfd"+'">'+
    '<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/post-list.css?wptm_app_id=gfdgfd"+'">'+
    '<link rel="stylesheet" href="'+"<?php echo get_site_url(); ?>/wp-content/themes-wptomob/"+theme+"/css/post-detail.css?wptm_app_id=gfdgfd"+'">';

    var iframe_contents = style+iframe.contentDocument.body.innerHTML;
    jQuery('#preview1').html(iframe_contents)
      
            jQuery('#app-header').css({'color':jQuery('#HeaderFontColorHex input').val()})
        
            jQuery('#app-header').css({'background':jQuery('#HeaderBgColorHex input').val()})
          jQuery('#app-menu').css({'background':jQuery('#menuAColorHex input').val()})
        
            jQuery('#menu-items.menu-items li a').css({'background':jQuery('#menuitemsColorHex input').val()})
        
            jQuery('#menu-items.menu-items li a').css({'color':jQuery('#menuBColorHex input').val()})
                var iframe = document.getElementById('preview');
iframe.src = iframe.src;
  }else{
    jQuery('#wptm_app_preview').show()
    jQuery('iframe#preview').show()
    jQuery('.holds-the-iframe').hide()
  }
  
  animating = true;
  
  current_fs = jQuery(this).parent();
  previous_fs = jQuery(this).parent().prev();
  
  //de-activate current step on progressbar
  jQuery("#progressbar li").eq(jQuery("fieldset").index(current_fs)-3).removeClass("active");
  //show the previous fieldset
  previous_fs.show(); 
  //hide the current fieldset with style
  current_fs.animate({opacity: 0}, {
    step: function(now, mx) {
      //as the opacity of current_fs reduces to 0 - stored in "now"
      //1. scale previous_fs from 80% to 100%
      scale = 0.8 + (1 - now) * 0.2;
      //2. take current_fs to the right(50%) - from 0%
      left = ((1-now) * 50)+"%";
      //3. increase opacity of previous_fs to 1 as it moves in
      opacity = 1 - now;
      current_fs.css({'left': left});
      previous_fs.css({'transform': 'scale('+scale+')', 'opacity': opacity});
    }, 
    duration: 800, 
    complete: function(){
      current_fs.hide();
      animating = false;
    }, 
    //this comes from the custom easing plugin
    easing: 'easeInOutBack'
  });
});

jQuery(".submit").click(function(){
  return false;
})

})
  </script> 
  <!--                                          preview themes                            -->
  <div>
    <div id="theme01" style="display:none;">
      <div id="app-layout">
    <!--
 * Layout is enclosed in <div id="app-layout"></div>
-->
    <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
    <div id="app-menu">
        <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
        <ul id="menu-items" class="menu-items" style="display:none;">
            <li class="has-ripple-feedback menu-active-item"><a href="#component-preview-1">Preview</a></li>
        </ul>
    </div>
    <div id="app-canvas">
        <div id="app-header" class="app-header has-ripple-feedback ripple-small">
            <div id="menu-button" class="menu-button"></div>
            <div id="refresh-button" class="refresh-off"></div>
            <h1>Preview</h1>
        </div>
        <div id="app-message-bar" class="app-message-bar" style="display: none; opacity: 0;"></div>
        <!--
     * Content is enclosed in <div id="app-content-wrapper"><div class="app-screen"></div></div>
    -->
        <div id="app-content-wrapper">
            <div class="app-screen">
                <!--
 * Content is enclosed in <div id="app-content-wrapper"><div id="app-screen"></div></div>
 * Subhead: is added by add-custom-data.php in the theme's php folder / It expects that the post has a subhead custom field
 * Handler for image loading error: displayDefaultImage() added in functions.js as a template's parameter
-->
                <div id="content" class="content list-template">
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3182">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>car-dashboard-2667434_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>Fusce id ex eget ligula dictum tristique. Duis ac varius ipsum. Suspendisse facilisis sem eget tincidunt laoreet. Sed metus dolor, tempus ut ante sed, finibus tristique purus. Quisque convallis, nibh ac pulvinar iaculis, lectus dui dapibus erat, nec pulvinar arcu tellus sed</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3180">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>spider-2740997_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec a</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3178">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>round-leaved-bellflower-1576086_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>ngue. Phasellus at tincidunt dui, sit amet imperdiet massa. Quisque pulvinar tellus sed sem consectetur, feugiat posuere tortor sagittis. Donec imperdiet neque sit amet vulputate accumsan. Sed eleifend est nec purus rutrum, a</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3176">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>robbe-2053165_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>ligula. Duis sed ex in massa auctor congu</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3174">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>model-1525629_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain...</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3172">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>grapes-2715711_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>non varius leo sollicitudin nec.</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3170">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>gorilla-2691602_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>eget tempor sapien interdum eget. Nullam vel f</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3168">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>duck-2399770_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>Vivamus viverra sem elementum</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3166">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>children-817365_12801.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>vitae eros. Donec arcu risus, aliquet eu nisl id, pretium v</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3164">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>agence-nice.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>Neque porro quisquam est qui dolorem ipsum quia dolor</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="get-more-button-wrapper">
                        <button type="button" id="get-more-button" class="get-more-button has-ripple-feedback ripple-small">More (996)</button>
                    </div>
                </div>
            </div>
        </div>
        <div id="slideup-panel" class="slideup-panel">
            <div id="panel-header" class="panel-header has-ripple-feedback ripple-small">
                <div id="back-button" class="back-button"></div>
                <h1></h1>
            </div>
            <div id="panel-content" class="panel-content"></div>
        </div>
    </div>
</div>
<div id="app-debug-panel"></div>
<div id="app-debug-button"></div>
    </div>
    <div id="theme02" style="display:none;">
      <div id="app-layout">
    <!--
 * Layout is enclosed in <div id="app-layout"></div>
-->
    <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
    <div id="app-menu">
        <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
        <ul id="menu-items" class="menu-items" style="display:none;">
            <li class="has-ripple-feedback menu-active-item"><a href="#component-preview-1">Preview</a></li>
        </ul>
    </div>
    <div id="app-canvas">
        <div id="app-header" class="app-header has-ripple-feedback ripple-small">
            <div id="menu-button" class="menu-button"></div>
            <div id="refresh-button" class="refresh-off"></div>
            <h1>Preview</h1>
        </div>
        <div id="app-message-bar" class="app-message-bar" style="display: none; opacity: 0;"></div>
        <!--
     * Content is enclosed in <div id="app-content-wrapper"><div class="app-screen"></div></div>
    -->
        <div id="app-content-wrapper">
            <div class="app-screen">
                <!--
 * Content is enclosed in <div id="app-content-wrapper"><div id="app-screen"></div></div>
 * Subhead: is added by add-custom-data.php in the theme's php folder / It expects that the post has a subhead custom field
 * Handler for image loading error: displayDefaultImage() added in functions.js as a template's parameter
-->
                <div id="content" class="content list-template">
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3182">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>car-dashboard-2667434_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>Fusce id ex eget ligula dictum tristique. Duis ac varius ipsum. Suspendisse facilisis sem eget tincidunt laoreet. Sed metus dolor, tempus ut ante sed, finibus tristique purus. Quisque convallis, nibh ac pulvinar iaculis, lectus dui dapibus erat, nec pulvinar arcu tellus sed</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3180">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>spider-2740997_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec a</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3178">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>round-leaved-bellflower-1576086_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>ngue. Phasellus at tincidunt dui, sit amet imperdiet massa. Quisque pulvinar tellus sed sem consectetur, feugiat posuere tortor sagittis. Donec imperdiet neque sit amet vulputate accumsan. Sed eleifend est nec purus rutrum, a</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3176">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>robbe-2053165_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>ligula. Duis sed ex in massa auctor congu</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3174">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>model-1525629_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain...</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3172">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>grapes-2715711_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>non varius leo sollicitudin nec.</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3170">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>gorilla-2691602_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>eget tempor sapien interdum eget. Nullam vel f</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3168">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>duck-2399770_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>Vivamus viverra sem elementum</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3166">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>children-817365_12801.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>vitae eros. Donec arcu risus, aliquet eu nisl id, pretium v</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3164">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>agence-nice.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>Neque porro quisquam est qui dolorem ipsum quia dolor</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="get-more-button-wrapper">
                        <button type="button" id="get-more-button" class="get-more-button has-ripple-feedback ripple-small">More (996)</button>
                    </div>
                </div>
            </div>
        </div>
        <div id="slideup-panel" class="slideup-panel">
            <div id="panel-header" class="panel-header has-ripple-feedback ripple-small">
                <div id="back-button" class="back-button"></div>
                <h1></h1>
            </div>
            <div id="panel-content" class="panel-content"></div>
        </div>
    </div>
</div>
<div id="app-debug-panel"></div>
<div id="app-debug-button"></div>
    </div>
    <div id="theme03" style="display:none;">
      <div id="app-layout">
    <!--
 * Layout is enclosed in <div id="app-layout"></div>
-->
    <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
    <div id="app-menu">
        <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
        <ul id="menu-items" class="menu-items" style="display:none;">
            <li class="has-ripple-feedback menu-active-item"><a href="#component-preview-1">Preview</a></li>
        </ul>
    </div>
    <div id="app-canvas">
        <div id="app-header" class="app-header has-ripple-feedback ripple-small">
            <div id="menu-button" class="menu-button"></div>
            <div id="refresh-button" class="refresh-off"></div>
            <h1>Preview</h1>
        </div>
        <div id="app-message-bar" class="app-message-bar" style="display: none; opacity: 0;"></div>
        <!--
     * Content is enclosed in <div id="app-content-wrapper"><div class="app-screen"></div></div>
    -->
        <div id="app-content-wrapper">
            <div class="app-screen">
                <!--
 * Content is enclosed in <div id="app-content-wrapper"><div id="app-screen"></div></div>
 * Subhead: is added by add-custom-data.php in the theme's php folder / It expects that the post has a subhead custom field
 * Handler for image loading error: displayDefaultImage() added in functions.js as a template's parameter
-->
                <div id="content" class="content list-template">
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3182">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>car-dashboard-2667434_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>Fusce id ex eget ligula dictum tristique. Duis ac varius ipsum. Suspendisse facilisis sem eget tincidunt laoreet. Sed metus dolor, tempus ut ante sed, finibus tristique purus. Quisque convallis, nibh ac pulvinar iaculis, lectus dui dapibus erat, nec pulvinar arcu tellus sed</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3180">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>spider-2740997_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec a</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3178">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>round-leaved-bellflower-1576086_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>ngue. Phasellus at tincidunt dui, sit amet imperdiet massa. Quisque pulvinar tellus sed sem consectetur, feugiat posuere tortor sagittis. Donec imperdiet neque sit amet vulputate accumsan. Sed eleifend est nec purus rutrum, a</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3176">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>robbe-2053165_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>ligula. Duis sed ex in massa auctor congu</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3174">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>model-1525629_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain...</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3172">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>grapes-2715711_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>non varius leo sollicitudin nec.</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3170">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>gorilla-2691602_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>eget tempor sapien interdum eget. Nullam vel f</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3168">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>duck-2399770_1280.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>Vivamus viverra sem elementum</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3166">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>children-817365_12801.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>vitae eros. Donec arcu risus, aliquet eu nisl id, pretium v</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3164">
                            <div class="post_image">
                                <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>agence-nice.jpg" onerror="displayDefaultImage(this);">
                            </div>
                            <div class="post_text">
                                <h2><span>Neque porro quisquam est qui dolorem ipsum quia dolor</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="get-more-button-wrapper">
                        <button type="button" id="get-more-button" class="get-more-button has-ripple-feedback ripple-small">More (996)</button>
                    </div>
                </div>
            </div>
        </div>
        <div id="slideup-panel" class="slideup-panel">
            <div id="panel-header" class="panel-header has-ripple-feedback ripple-small">
                <div id="back-button" class="back-button"></div>
                <h1></h1>
            </div>
            <div id="panel-content" class="panel-content"></div>
        </div>
    </div>
</div>
<div id="app-debug-panel"></div>
<div id="app-debug-button"></div>
    </div>
    <div id="theme04" style="display:none;">
      <div id="app-layout">
    <!--
 * Layout is enclosed in <div id="app-layout"></div>
-->
    <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
    <div id="app-menu">
        <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
        <ul id="menu-items" class="menu-items" style="display:none;">
            <li class="has-ripple-feedback menu-active-item"><a href="#component-preview-1">Preview</a></li>
        </ul>
    </div>
    <div id="app-canvas">
        <div id="app-header" class="app-header has-ripple-feedback ripple-small">
            <div id="menu-button" class="menu-button"></div>
            <div id="refresh-button" class="refresh-off"></div>
            <h1>Preview</h1>
        </div>
        <div id="app-message-bar" class="app-message-bar" style="display: none; opacity: 0;"></div>
        <!--
     * Content is enclosed in <div id="app-content-wrapper"><div class="app-screen"></div></div>
    -->
        <div id="app-content-wrapper">
            <div class="app-screen">
                <!--
 * Content is enclosed in <div id="app-content-wrapper"><div id="app-screen"></div></div>
 * Subhead: is added by add-custom-data.php in the theme's php folder / It expects that the post has a subhead custom field
 * Handler for image loading error: displayDefaultImage() added in functions.js as a template's parameter
-->
                <div id="content" class="content list-template">
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3182">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>car-dashboard-2667434_1280.jpg)"></div>
                            <h2><span>Fusce id ex eget ligula dictum tristique. Duis ac varius ipsum. Suspendisse facilisis sem eget tincidunt laoreet. Sed metus dolor, tempus ut ante sed, finibus tristique purus. Quisque convallis, nibh ac pulvinar iaculis, lectus dui dapibus erat, nec pulvinar arcu tellus sed</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3180">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>spider-2740997_1280.jpg)"></div>
                            <h2><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec a</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3178">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>round-leaved-bellflower-1576086_1280.jpg)"></div>
                            <h2><span>ngue. Phasellus at tincidunt dui, sit amet imperdiet massa. Quisque pulvinar tellus sed sem consectetur, feugiat posuere tortor sagittis. Donec imperdiet neque sit amet vulputate accumsan. Sed eleifend est nec purus rutrum, a</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3176">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>robbe-2053165_1280.jpg)"></div>
                            <h2><span>ligula. Duis sed ex in massa auctor congu</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3174">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>model-1525629_1280.jpg)"></div>
                            <h2><span>There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain...</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3172">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>grapes-2715711_1280.jpg)"></div>
                            <h2><span>non varius leo sollicitudin nec.</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3170">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>gorilla-2691602_1280.jpg)"></div>
                            <h2><span>eget tempor sapien interdum eget. Nullam vel f</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3168">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>duck-2399770_1280.jpg)"></div>
                            <h2><span>Vivamus viverra sem elementum</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3166">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>children-817365_12801.jpg)"></div>
                            <h2><span>vitae eros. Donec arcu risus, aliquet eu nisl id, pretium v</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3164">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>agence-nice.jpg)"></div>
                            <h2><span>Neque porro quisquam est qui dolorem ipsum quia dolor</span></h2>
                        </a>
                    </div>
                    <div class="get-more-button-wrapper">
                        <button type="button" id="get-more-button" class="get-more-button has-ripple-feedback ripple-small">More (996)</button>
                    </div>
                </div>
            </div>
        </div>
        <div id="slideup-panel" class="slideup-panel">
            <div id="panel-header" class="panel-header has-ripple-feedback ripple-small">
                <div id="back-button" class="back-button"></div>
                <h1></h1>
            </div>
            <div id="panel-content" class="panel-content"></div>
        </div>
    </div>
</div>
<div id="app-debug-panel"></div>
<div id="app-debug-button"></div>
    </div>
    <div id="theme05" style="display:none;">
      <div id="app-layout">
    <!--
 * Layout is enclosed in <div id="app-layout"></div>
-->
    <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
    <div id="app-menu">
        <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
        <ul id="menu-items" class="menu-items" style="display:none;">
            <li class="has-ripple-feedback menu-active-item"><a href="#component-preview-1">Preview</a></li>
        </ul>
    </div>
    <div id="app-canvas">
        <div id="app-header" class="app-header has-ripple-feedback ripple-small">
            <div id="menu-button" class="menu-button"></div>
            <div id="refresh-button" class="refresh-off"></div>
            <h1>Preview</h1>
        </div>
        <div id="app-message-bar" class="app-message-bar" style="display: none; opacity: 0;"></div>
        <!--
     * Content is enclosed in <div id="app-content-wrapper"><div class="app-screen"></div></div>
    -->
        <div id="app-content-wrapper">
            <div class="app-screen">
                <!--
 * Content is enclosed in <div id="app-content-wrapper"><div id="app-screen"></div></div>
 * Subhead: is added by add-custom-data.php in the theme's php folder / It expects that the post has a subhead custom field
 * Handler for image loading error: displayDefaultImage() added in functions.js as a template's parameter
-->
                <div id="content" class="content list-template">
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3182">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>car-dashboard-2667434_1280.jpg)"></div>
                            <h2><span>Fusce id ex eget ligula dictum tristique. Duis ac varius ipsum. Suspendisse facilisis sem eget tincidunt laoreet. Sed metus dolor, tempus ut ante sed, finibus tristique purus. Quisque convallis, nibh ac pulvinar iaculis, lectus dui dapibus erat, nec pulvinar arcu tellus sed</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3180">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>spider-2740997_1280.jpg)"></div>
                            <h2><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec a</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3178">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>round-leaved-bellflower-1576086_1280.jpg)"></div>
                            <h2><span>ngue. Phasellus at tincidunt dui, sit amet imperdiet massa. Quisque pulvinar tellus sed sem consectetur, feugiat posuere tortor sagittis. Donec imperdiet neque sit amet vulputate accumsan. Sed eleifend est nec purus rutrum, a</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3176">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>robbe-2053165_1280.jpg)"></div>
                            <h2><span>ligula. Duis sed ex in massa auctor congu</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3174">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>model-1525629_1280.jpg)"></div>
                            <h2><span>There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain...</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3172">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>grapes-2715711_1280.jpg)"></div>
                            <h2><span>non varius leo sollicitudin nec.</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3170">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>gorilla-2691602_1280.jpg)"></div>
                            <h2><span>eget tempor sapien interdum eget. Nullam vel f</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3168">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>duck-2399770_1280.jpg)"></div>
                            <h2><span>Vivamus viverra sem elementum</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3166">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>children-817365_12801.jpg)"></div>
                            <h2><span>vitae eros. Donec arcu risus, aliquet eu nisl id, pretium v</span></h2>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3164">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>agence-nice.jpg)"></div>
                            <h2><span>Neque porro quisquam est qui dolorem ipsum quia dolor</span></h2>
                        </a>
                    </div>
                    <div class="get-more-button-wrapper">
                        <button type="button" id="get-more-button" class="get-more-button has-ripple-feedback ripple-small">More (996)</button>
                    </div>
                </div>
            </div>
        </div>
        <div id="slideup-panel" class="slideup-panel">
            <div id="panel-header" class="panel-header has-ripple-feedback ripple-small">
                <div id="back-button" class="back-button"></div>
                <h1></h1>
            </div>
            <div id="panel-content" class="panel-content"></div>
        </div>
    </div>
</div>
<div id="app-debug-panel"></div>
<div id="app-debug-button"></div>
    </div>
    <div id="theme06" style="display:none;">
      <div id="app-layout">
    <!--
 * Layout is enclosed in <div id="app-layout"></div>
-->
    <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
    <div id="app-menu">
        <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
        <ul id="menu-items" class="menu-items" style="display:none;">
            <li class="has-ripple-feedback menu-active-item"><a href="#component-preview-1">Preview</a></li>
        </ul>
    </div>
    <div id="app-canvas">
        <div id="app-header" class="app-header has-ripple-feedback ripple-small">
            <div id="menu-button" class="menu-button"></div>
            <div id="refresh-button" class="refresh-off"></div>
            <h1>Preview</h1>
        </div>
        <div id="app-message-bar" class="app-message-bar" style="display: none; opacity: 0;"></div>
        <!--
     * Content is enclosed in <div id="app-content-wrapper"><div class="app-screen"></div></div>
    -->
        <div id="app-content-wrapper">
            <div class="app-screen">
                <!--
 * Content is enclosed in <div id="app-content-wrapper"><div id="app-screen"></div></div>
 * Subhead: is added by add-custom-data.php in the theme's php folder / It expects that the post has a subhead custom field
 * Handler for image loading error: displayDefaultImage() added in functions.js as a template's parameter
-->
                <div id="content" class="content list-template">
                    <div class="contentsingle-first has-ripple-feedback">
                        <a href="#single/posts/3182">
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>car-dashboard-2667434_1280.jpg)"></div>
                            <div class="post_text">
                                <h2><span>Fusce id ex eget ligula dictum tristique. Duis ac varius ipsum. Suspendisse facilisis sem eget tincidunt laoreet. Sed metus dolor, tempus ut ante sed, finibus tristique purus. Quisque convallis, nibh ac pulvinar iaculis, lectus dui dapibus erat, nec pulvinar arcu tellus sed</span></h2>
                            </div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3180">

                        
                    
                        
                       <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>spider-2740997_1280.jpg" onerror="displayDefaultImage(this);">
                       
                        
                    <div class="post_text">
                    

                    <h2><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec a</span></h2>
                    </div>    
                </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3178">

                        
                    
                        
                       <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>round-leaved-bellflower-1576086_1280.jpg" onerror="displayDefaultImage(this);">
                       
                        
                    <div class="post_text">
                    

                    <h2><span>ngue. Phasellus at tincidunt dui, sit amet imperdiet massa. Quisque pulvinar tellus sed sem consectetur, feugiat posuere tortor sagittis. Donec imperdiet neque sit amet vulputate accumsan. Sed eleifend est nec purus rutrum, a</span></h2>
                    </div>    
                </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3176">

                        
                    
                        
                       <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>robbe-2053165_1280.jpg" onerror="displayDefaultImage(this);">
                       
                        
                    <div class="post_text">
                    

                    <h2><span>ligula. Duis sed ex in massa auctor congu</span></h2>
                    </div>    
                </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3174">

                        
                    
                        
                       <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>model-1525629_1280.jpg" onerror="displayDefaultImage(this);">
                       
                        
                    <div class="post_text">
                    

                    <h2><span>There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain...</span></h2>
                    </div>    
                </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3172">

                        
                    
                        
                       <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>grapes-2715711_1280.jpg" onerror="displayDefaultImage(this);">
                       
                        
                    <div class="post_text">
                    

                    <h2><span>non varius leo sollicitudin nec.</span></h2>
                    </div>    
                </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3170">

                        
                    
                        
                       <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>gorilla-2691602_1280.jpg" onerror="displayDefaultImage(this);">
                       
                        
                    <div class="post_text">
                    

                    <h2><span>eget tempor sapien interdum eget. Nullam vel f</span></h2>
                    </div>    
                </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3168">

                        
                    
                        
                       <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>duck-2399770_1280.jpg" onerror="displayDefaultImage(this);">
                       
                        
                    <div class="post_text">
                    

                    <h2><span>Vivamus viverra sem elementum</span></h2>
                    </div>    
                </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3166">

                        
                    
                        
                       <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>children-817365_12801.jpg" onerror="displayDefaultImage(this);">
                       
                        
                    <div class="post_text">
                    

                    <h2><span>vitae eros. Donec arcu risus, aliquet eu nisl id, pretium v</span></h2>
                    </div>    
                </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a href="#single/posts/3164">

                        
                    
                        
                       <img class="content-thumbnail" src="<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>agence-nice.jpg" onerror="displayDefaultImage(this);">
                       
                        
                    <div class="post_text">
                    

                    <h2><span>Neque porro quisquam est qui dolorem ipsum quia dolor</span></h2>
                    </div>    
                </a>
                    </div>
                    <div class="get-more-button-wrapper">
                        <button type="button" id="get-more-button" class="get-more-button has-ripple-feedback ripple-small">More (996)</button>
                    </div>
                </div>
            </div>
        </div>
        <div id="slideup-panel" class="slideup-panel">
            <div id="panel-header" class="panel-header has-ripple-feedback ripple-small">
                <div id="back-button" class="back-button"></div>
                <h1></h1>
            </div>
            <div id="panel-content" class="panel-content"></div>
        </div>
    </div>
</div>
<div id="app-debug-panel"></div>
<div id="app-debug-button"></div>
    </div>
    <div id="theme07" style="display:none;">
      <div id="app-layout">
    <!--
 * Layout is enclosed in <div id="app-layout"></div>
-->
    <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
    <div id="app-menu">
        <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
        <ul id="menu-items" class="menu-items" style="display:none;">
            <li class="has-ripple-feedback menu-active-item"><a href="#component-preview-1">Preview</a></li>
        </ul>
    </div>
    <div id="app-canvas">
        <div id="app-header" class="app-header has-ripple-feedback ripple-small">
            <div id="menu-button" class="menu-button"></div>
            <div id="refresh-button" class="refresh-off"></div>
            <h1>Preview</h1>
        </div>
        <div id="app-message-bar" class="app-message-bar" style="display: none; opacity: 0;"></div>
        <!--
     * Content is enclosed in <div id="app-content-wrapper"><div class="app-screen"></div></div>
    -->
        <div id="app-content-wrapper">
            <div class="app-screen">
                <!--
 * Content is enclosed in <div id="app-content-wrapper"><div id="app-screen"></div></div>
 * Subhead: is added by add-custom-data.php in the theme's php folder / It expects that the post has a subhead custom field
 * Handler for image loading error: displayDefaultImage() added in functions.js as a template's parameter
-->
                <div id="content" class="content list-template">
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3182">
                            <h2><span>Fusce id ex eget ligula dictum tristique. Duis ac varius ipsum. Suspendisse facilisis sem eget tincidunt laoreet. Sed metus dolor, tempus ut ante sed, finibus tristique purus. Quisque convallis, nibh ac pulvinar iaculis, lectus dui dapibus erat, nec pulvinar arcu tellus sed</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>car-dashboard-2667434_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3180">
                            <h2><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec a</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>spider-2740997_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3178">
                            <h2><span>ngue. Phasellus at tincidunt dui, sit amet imperdiet massa. Quisque pulvinar tellus sed sem consectetur, feugiat posuere tortor sagittis. Donec imperdiet neque sit amet vulputate accumsan. Sed eleifend est nec purus rutrum, a</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>round-leaved-bellflower-1576086_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3176">
                            <h2><span>ligula. Duis sed ex in massa auctor congu</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>robbe-2053165_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3174">
                            <h2><span>There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain...</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>model-1525629_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3172">
                            <h2><span>non varius leo sollicitudin nec.</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>grapes-2715711_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3170">
                            <h2><span>eget tempor sapien interdum eget. Nullam vel f</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>gorilla-2691602_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3168">
                            <h2><span>Vivamus viverra sem elementum</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>duck-2399770_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3166">
                            <h2><span>vitae eros. Donec arcu risus, aliquet eu nisl id, pretium v</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>children-817365_12801.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text" href="#single/posts/3164">
                            <h2><span>Neque porro quisquam est qui dolorem ipsum quia dolor</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>agence-nice.jpg)"></div>
                        </a>
                    </div>
                    <div class="get-more-button-wrapper">
                        <button type="button" id="get-more-button" class="get-more-button has-ripple-feedback ripple-small">More (996)</button>
                    </div>
                </div>
            </div>
        </div>
        <div id="slideup-panel" class="slideup-panel">
            <div id="panel-header" class="panel-header has-ripple-feedback ripple-small">
                <div id="back-button" class="back-button"></div>
                <h1></h1>
            </div>
            <div id="panel-content" class="panel-content"></div>
        </div>
    </div>
</div>
<div id="app-debug-panel"></div>
<div id="app-debug-button"></div>
    </div>
    <div id="theme08" style="display:none;">
      <div id="app-layout">
    <!--
 * Layout is enclosed in <div id="app-layout"></div>
-->
    <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
    <div id="app-menu">
        <!--
 * Menu is enclosed in <div id="app-menu"></div>
-->
        <ul id="menu-items" class="menu-items" style="display:none;">
            <li class="has-ripple-feedback menu-active-item"><a href="#component-preview-1">Preview</a></li>
        </ul>
    </div>
    <div id="app-canvas">
        <div id="app-header" class="app-header has-ripple-feedback ripple-small">
            <div id="menu-button" class="menu-button"></div>
            <div id="refresh-button" class="refresh-off"></div>
            <h1>Preview</h1>
        </div>
        <div id="app-message-bar" class="app-message-bar" style="display: none; opacity: 0;"></div>
        <!--
     * Content is enclosed in <div id="app-content-wrapper"><div class="app-screen"></div></div>
    -->
        <div id="app-content-wrapper">
            <div class="app-screen">
                <!--
 * Content is enclosed in <div id="app-content-wrapper"><div id="app-screen"></div></div>
 * Subhead: is added by add-custom-data.php in the theme's php folder / It expects that the post has a subhead custom field
 * Handler for image loading error: displayDefaultImage() added in functions.js as a template's parameter
-->
                <div id="content" class="content list-template">
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text"  href="#single/posts/3182">
                            <h2><span>Fusce id ex eget ligula dictum tristique. Duis ac varius ipsum. Suspendisse facilisis sem eget tincidunt laoreet. Sed metus dolor, tempus ut ante sed, finibus tristique purus. Quisque convallis, nibh ac pulvinar iaculis, lectus dui dapibus erat, nec pulvinar arcu tellus sed</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>car-dashboard-2667434_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a class="post_text"  href="#single/posts/3180">
                            <h2><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec a</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>spider-2740997_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a  class="post_text" href="#single/posts/3178">
                            <h2><span>ngue. Phasellus at tincidunt dui, sit amet imperdiet massa. Quisque pulvinar tellus sed sem consectetur, feugiat posuere tortor sagittis. Donec imperdiet neque sit amet vulputate accumsan. Sed eleifend est nec purus rutrum, a</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>round-leaved-bellflower-1576086_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a  class="post_text" href="#single/posts/3176">
                            <h2><span>ligula. Duis sed ex in massa auctor congu</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>robbe-2053165_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a  class="post_text" href="#single/posts/3174">
                            <h2><span>There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain...</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>model-1525629_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a  class="post_text" href="#single/posts/3172">
                            <h2><span>non varius leo sollicitudin nec.</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>grapes-2715711_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a  class="post_text" href="#single/posts/3170">
                            <h2><span>eget tempor sapien interdum eget. Nullam vel f</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>gorilla-2691602_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a  class="post_text" href="#single/posts/3168">
                            <h2><span>Vivamus viverra sem elementum</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>duck-2399770_1280.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a  class="post_text" href="#single/posts/3166">
                            <h2><span>vitae eros. Donec arcu risus, aliquet eu nisl id, pretium v</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>children-817365_12801.jpg)"></div>
                        </a>
                    </div>
                    <div class="content-item has-ripple-feedback">
                        <a  class="post_text" href="#single/posts/3164">
                            <h2><span>Neque porro quisquam est qui dolorem ipsum quia dolor</span></h2>
                            <div class="content-thumbnail" style="background-image:url(<?php echo plugins_url('images', dirname( dirname( __FILE__ ) )).'/';?>agence-nice.jpg)"></div>
                        </a>
                    </div>
                    <div class="get-more-button-wrapper">
                        <button type="button" id="get-more-button" class="get-more-button has-ripple-feedback ripple-small">More (996)</button>
                    </div>
                </div>
            </div>
        </div>
        <div id="slideup-panel" class="slideup-panel">
            <div id="panel-header" class="panel-header has-ripple-feedback ripple-small">
                <div id="back-button" class="back-button"></div>
                <h1></h1>
            </div>
            <div id="panel-content" class="panel-content"></div>
        </div>
    </div>
</div>
<div id="app-debug-panel"></div>
<div id="app-debug-button"></div>
    </div>
  </div>
    <?php
  }

  private static function get_component_row( $post_id, $i, $component_id, WpakComponent $component ) {
    $alternate_class = $i % 2 ? '' : 'alternate';
    $error_class = '';
    $label = WpakComponentsTypes::get_label( $component->type );

    //
    // Component type could be unknown if an addon's component has been added to the app and the addon isn't activated anymore
    // An addon could be seen as deactivated either if the corresponding plugin is deactivated, or if the corresponding checkbox is unchecked for the given app
    //

    if( !WpakComponentsTypes::component_type_exists( $component->type ) ) {
      $error_class =  ' error';
      $label = __( 'Component type doesn\'t exist, this component won\'t be included into the app', WpTomob::i18n_domain );
    }

    ob_start();
    ?>
    <tr class="component-row <?php echo $alternate_class . $error_class ?>" id="component-row-<?php echo $component_id ?>">
      <td>
        <?php echo esc_html( $component->label ) ?>
        <div class="row-actions">
          <span class="inline hide-if-no-js"><a class="editinline" href="#" data-edit-id="<?php echo esc_attr( $component_id ) ?>"><?php _e( 'Edit', WpTomob::i18n_domain ) ?></a> | </span>
          <span class="trash"><a class="submitdelete delete_component" href="#" data-post-id="<?php echo esc_attr( $post_id ) ?>" data-id="<?php echo esc_attr( $component_id ) ?>"><?php _e( 'Delete', WpTomob::i18n_domain ) ?></a></span>
        </div>
      </td>
      <td><?php echo esc_html( $component->slug ) ?></td>
      <td><?php echo esc_html( $label ) ?></td>
      <td>
        <?php $options = WpakComponentsTypes::get_options_to_display( $component ) ?>
        <?php foreach ( $options as $option ): ?>
          <?php echo esc_html( $option['label'] ) ?> : <?php echo esc_html( $option['value'] ) ?><br/>
        <?php endforeach ?>
      </td>
    </tr>
    <tr class="edit-component-wrapper" id="edit-component-wrapper-<?php echo esc_attr( $component_id ) ?>" style="display:none" <?php echo $alternate_class ?>>
      <td colspan="4">
        <?php self::echo_component_form( $post_id, $component ) ?>
      </td>
    </tr>
    <?php
    $component_row_html = ob_get_contents();
    ob_end_clean();
    return $component_row_html;
  }

  private static function echo_component_form( $post_id, $component = null ) {

    $edit = !empty( $component );

    if ( !$edit ) {
      $component = new WpakComponent( '', '', 'posts-list' );
    }

    $component_id = $edit ? WpakComponentsStorage::get_component_id( $post_id, $component ) : '0';

    $components_types = WpakComponentsTypes::get_available_components_types();

    ?>
    <div id="component-form-<?php echo esc_attr( $component_id ) ?>" class="component-form">
      <table class="form-table">
        <tr valign="top">
          <th scope="row"><?php _e( 'Component label', WpTomob::i18n_domain ) ?></th>
          <td>
            <input class="can-reset" type="text" name="component_label" value="<?php echo esc_attr( $component->label ) ?>" />
            <?php 
              /**
               * 'wptm_component_form_label' action
               * Use this action to display something after component's label field.
               * 
               * @param   int      $app_id      Application id
               * @param   bool     $edit        Whether editing or creating the component
               * @param   object   $component   Component object
               */
              do_action( 'wptm_component_form_label', $post_id, $edit, $component ); 
            ?>
          </td>
        </tr>
        <?php if ( $edit ): ?>
          <tr valign="top">
            <th scope="row"><?php _e( 'Component slug', WpTomob::i18n_domain ) ?></th>
            <td><input class="can-reset" type="text" name="component_slug" value="<?php echo esc_attr( $component->slug ) ?>" /></td>
          </tr>
        <?php endif ?>
        <tr valign="top">
          <th scope="row"><?php _e( 'Component type', WpTomob::i18n_domain ) ?></th>
          <td>
            <select type="text" name="component_type" class="component-type">
              <?php foreach ( $components_types as $type => $data ): ?>
                <?php $selected = $type == $component->type ? 'selected="selected"' : '' ?>
                <option value="<?php echo esc_attr( $type ) ?>" <?php echo $selected ?> ><?php echo esc_html( $data['label'] ) ?></option>
              <?php endforeach ?>
            </select>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row"><?php _e( 'Component options', WpTomob::i18n_domain ) ?></th>
          <td class="component-options-target">
            <?php WpakComponentsTypes::echo_form_fields( $component->type, $edit ? $component : null ) ?>
          </td>
        </tr>
      </table>
      <input type="hidden" name="component_id" value="<?php echo esc_attr( $component_id ) ?>"/>
      <input type="hidden" name="component_post_id" value="<?php echo esc_attr( $post_id ) ?>" />
      <p class="submit">
        <span class="spinner"></span>
        <a class="button-secondary alignleft cancel" title="<?php _e( 'Cancel', WpTomob::i18n_domain ) ?>" href="#" <?php echo!$edit ? 'id="cancel-new-component"' : '' ?>><?php _e( 'Cancel', WpTomob::i18n_domain ) ?></a>&nbsp;
        <a id="savecomp" class="button button-primary component-form-submit" data-id="<?php echo esc_attr( $component_id ) ?>"><?php echo $edit ? __( 'Save Changes', WpTomob::i18n_domain ) : 'Save new component' ?></a>
      </p>
    </div>

    <?php
  }

  public static function ajax_update_component_options() {

    if ( empty( $_POST['post_id'] ) || empty( $_POST['nonce'] ) || !check_admin_referer( 'wpak-component-data-' . $_POST['post_id'], 'nonce' ) ) {
      exit();
    }

    $component_type = sanitize_key( $_POST['component_type'] );
    $action = sanitize_key( $_POST['wptm_action'] );
    $params = is_array( $_POST['params'] ) ? array_map( 'sanitize_key', $_POST['params'] ) : array();

    WpakAddons::require_app_addons_php_files( intval($_POST['post_id']) );

    echo WpakComponentsTypes::get_ajax_action_html_answer( $component_type, $action, $params );
    exit();
  }

  public static function ajax_update_component_type() {

    $component_type = sanitize_key( $_POST['component_type'] );

    if ( empty( $_POST['post_id'] ) || empty( $_POST['nonce'] ) || !check_admin_referer( 'wpak-component-data-' . $_POST['post_id'], 'nonce' ) ) {
      exit();
    }

    WpakAddons::require_app_addons_php_files( intval($_POST['post_id']) );

    WpakComponentsTypes::echo_form_fields( $component_type );
    exit();
  }

  public static function ajax_wptm_wp_update_post() {
    $postarr=$_POST;
    var_dump($postarr);
    $wp_error=true;
      if ( is_object($postarr) ) {
    // Non-escaped post was passed.
    $postarr = get_object_vars($postarr);
    $postarr = wp_slash($postarr);
  }

  // First, get all of the original fields.
  $post = get_post($postarr['post_ID'], ARRAY_A);

  if ( is_null( $post ) ) {
    if ( $wp_error )
      return new WP_Error( 'invalid_post', __( 'Invalid post ID.' ) );
    return 0;
  }

  // Escape data pulled from DB.
  $post = wp_slash($post);

  // Passed post category list overwrites existing category list if not empty.
  if ( isset($postarr['post_category']) && is_array($postarr['post_category'])
       && 0 != count($postarr['post_category']) )
    $post_cats = $postarr['post_category'];
  else
    $post_cats = $post['post_category'];

  // Drafts shouldn't be assigned a date unless explicitly done so by the user.
  if ( isset( $post['post_status'] ) && in_array($post['post_status'], array('draft', 'pending', 'auto-draft')) && empty($postarr['edit_date']) &&
       ('0000-00-00 00:00:00' == $post['post_date_gmt']) )
    $clear_date = true;
  else
    $clear_date = false;

  // Merge old and new fields with new fields overwriting old ones.
  $postarr = array_merge($post, $postarr);
  $postarr['post_category'] = $post_cats;
  if ( $clear_date ) {
    $postarr['post_date'] = current_time('mysql');
    $postarr['post_date_gmt'] = '';
  }

  if ($postarr['post_type'] == 'attachment')
    return wp_insert_attachment($postarr);

  return wp_insert_post( $postarr, $wp_error );
  }
  public static function ajax_wptm_edit_component() {

    $answer = array( 'ok' => 0, 'message' => '', 'type' => 'error', 'html' => '', 'component' => array() );

    if ( empty( $_POST['post_id'] ) || empty( $_POST['nonce'] ) || !check_admin_referer( 'wpak-component-data-' . $_POST['post_id'], 'nonce' ) ) {
      exit( 'bad nonce' );
    }

    $action = sanitize_key( $_POST['wptm_action'] );
    $data = is_array( $_POST['data'] ) ? $_POST['data'] : array(); //Each data value is sanitized hereunder before being used

    WpakAddons::require_app_addons_php_files( intval($_POST['post_id']) );

    if ( $action == 'add_or_update' ) {

      // Unslash POST data before manipulating DB
      $data = wp_unslash( $data );

      $post_id = intval( $data['component_post_id'] );

      if ( empty( $post_id ) ) {
        $answer['message'] = __( "Application not found.", WpTomob::i18n_domain );
        self::exit_sending_json( $answer );
      }

      $edit = !empty( $data['component_id'] );
      $edit_id = $edit ? intval( $data['component_id'] ) : 0;

      $component_label = sanitize_text_field( trim( $data['component_label'] ) );
      $component_type = sanitize_key( $data['component_type'] );
      
      /**
       * 'wptm_default_component_label' filter
       * Allows to customize posted component label. Useful to allow default label value
       * in case no label was entered by the user.
       * 
       * @param   string   $component_label   Component label sent by the user
       * @param   array    $data              Data submited by the user
       * @param   bool     $edit              Whether editing or creating the component
       * @param   int      $edit_id           Component id for edition
       */
      $component_label = apply_filters( 'wptm_default_component_label', $component_label, $data, $edit, $edit_id );

      if ( empty( $component_label ) ) {
        $answer['message'] = __( 'You must provide a label for the component!', WpTomob::i18n_domain );
        self::exit_sending_json( $answer );
      }

      if ( is_numeric( $component_label ) ) {
        $answer['message'] = __( "The component label can't be numeric.", WpTomob::i18n_domain );
        self::exit_sending_json( $answer );
      }

      $component_slug = $edit ? trim( $data['component_slug'] ) : $component_label;
      $component_slug =   $component_slug  ;

      if ( empty( $component_slug ) ) {
        $answer['message'] = __( "You must provide a slug for the component.", WpTomob::i18n_domain );
        self::exit_sending_json( $answer );
      }

      if ( is_numeric( $component_slug ) ) {
        $answer['message'] = __( "The component slug can't be numeric.", WpTomob::i18n_domain );
        self::exit_sending_json( $answer );
      }

      if ( WpakComponentsStorage::component_exists( $post_id, $component_slug, $edit_id ) ) {
        $i = 0;
        do {
          $component_index = intval( preg_replace( '/.*-(\d+)$/', '$1', $component_slug ) );
          $component_index++;
          $component_slug =  $component_slug  . '-' . $component_index;
          if ( $i++ > 100 ) {
            break;
          }
        } while ( WpakComponentsStorage::component_exists( $post_id, $component_slug, $edit_id ) );
      }

      $component_options = WpakComponentsTypes::get_component_type_options_from_posted_form( $component_type, $data );

      /**
       * 'wptm_component_save_options' filter
       * Use this filter to cusomize options saved for the component.
       * Allows to add any custom fields to component options.
       * 
       * @param   array   $component_options   Component options to be customized
       * @param   array   $data                All component data sent by the user
       * @param   in      $app_id              Application id
       * @param   string  $component_slug    Component slug
       * @param   string  $component_label     Component label
       * @param   string  $component_type      Component type
       * @param   bool    $edit                Whether editing or creating the component
       * @param   int     $edit_id             Component id for edition
       */
      $component_options = apply_filters( 'wptm_component_save_options', $component_options, $data, $post_id, $component_slug, $component_label, $component_type, $edit, $edit_id );
      
      $component = new WpakComponent( $component_slug, $component_label, $component_type, $component_options );
      $component_id = WpakComponentsStorage::add_or_update_component( $post_id, $component, $edit_id );

      $answer['component'] = array(
        'id' => $component_id,
        'slug' => $component_slug,
        'label' => $component_label,
      );
      $answer['html'] = self::get_component_row( $post_id, WpakComponentsStorage::get_nb_components( $post_id ), $component_id, $component );

      if ( $edit ) {
        $answer['ok'] = 1;
        $answer['type'] = 'updated';
        $answer['message'] = sprintf( __( 'Component "%s" updated successfuly', WpTomob::i18n_domain ), $component_label );
      } else {
        $answer['ok'] = 1;
        $answer['type'] = 'updated';
        $answer['message'] = sprintf( __( 'Component "%s" created successfuly', WpTomob::i18n_domain ), $component_label );
      }

      self::exit_sending_json( $answer );
    } elseif ( $action == 'delete' ) {
      $id = intval( $data['component_id'] );
      $post_id = intval( $data['post_id'] );
      if ( is_numeric( $id ) && is_numeric( $post_id ) ) {
        if ( $component_id = WpakComponentsStorage::component_exists( $post_id, $id ) ) {
          if ( WpakNavigationItemsStorage::navigation_item_exists_by_component( $post_id, $component_id ) ) {
            $answer['message'] = __( 'The component to delete is in the app navigation. Please remove the component from app navigation before deleting it.', WpTomob::i18n_domain );
          } else {
            if ( !WpakComponentsStorage::delete_component( $post_id, $id ) ) {
              $answer['message'] = __( 'Could not delete component', WpTomob::i18n_domain );
            } else {
              $answer['ok'] = 1;
              $answer['type'] = 'updated';
              $answer['message'] = __( 'Component deleted successfuly', WpTomob::i18n_domain );
            }
          }
        } else {
          $answer['message'] = __( 'Component to delete not found', WpTomob::i18n_domain );
        }
      }
      self::exit_sending_json( $answer );
    }

    //We should not arrive here, but just in case :
    self::exit_sending_json( $answer );
  }

  private static function exit_sending_json( $answer ) {
    if ( !WP_DEBUG ) {
      $content_already_echoed = ob_get_contents();
      if ( !empty( $content_already_echoed ) ) {
        //TODO : allow to add $content_already_echoed in the answer as a JSON data for debbuging
        ob_end_clean();
      }
    }
    header( 'Content-type: application/json' );
    echo json_encode( $answer );
    exit();
  }

}

WpakComponentsBoSettings::hooks();
