<?php

/**
 * Handles the wptomob settings panel for general plugin settings.
 * Default settings are defined in WpakSettings::get_settings();
 */
class WpakSettings {

	const menu_item = 'wptm_bo_settings_page';
	const option_id = 'wptm_settings_option';

	public static function hooks() {
		if ( is_admin() ) {
			add_action( 'admin_menu', array( __CLASS__, 'add_settings_panels' ), 20 ); //20 to pass after Simulator
		}
	}

	public static function add_settings_panels() {
		$capability_required = current_user_can( 'wptm_edit_apps' ) ? 'wptm_edit_apps' : 'manage_options';
		add_submenu_page( WpakApps::menu_item, __( 'Settings', WpTomob::i18n_domain ), __( 'Settings', WpTomob::i18n_domain ), $capability_required, self::menu_item, array( __CLASS__, 'settings_panel' ) );
	}
	
	public static function settings_panel() {
global $wpdb;
		$result = self::handle_posted_settings();
		$settings = self::get_settings();
		?>
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
		<div class="wrapper" id="wpak-settings">
			<h2><?php _e( 'webbyapp Settings', WpTomob::i18n_domain ) ?></h2>
<style type="text/css">

.containeraaoifi{
height: 100%;
width: 100%;
background: rgba(0,0,0,0.5);
position: fixed;
top: 0px;
z-index: 999999999999999999999999999999999999999999999999999999999999999999999999999999;
left: 0px;
display:none;
}
.loaderaaoifi {
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid #31b0d5;
  width: 120px;
  height: 120px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
  position: fixed;
  margin: auto;
  top: 50%;
bottom: 50%;
left: 50%;
right: 50%;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

	.btn-reddit {
		position: relative;
    color: #000;
    background-color: #eff7ff;
    border-color: rgba(0,0,0,0.2);
}
.btn-social.btn-lg > :first-child {
    line-height: 45px;
    width: 45px;
    font-size: 1.8em;
}
.btn-social > :first-child {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 32px;
    line-height: 34px;
    font-size: 1.6em;
    text-align: center;
    border-right: 1px solid rgba(0,0,0,0.2);
}

.modal label {
    display: inline-block;
    max-width: 100%;
    margin-bottom: 5px;
    font-weight: 700;
    color: black;
}
.fa-reddit::before {

   

}
</style>
			<?php if ( !empty( $result['message'] ) ): ?>
				<div class="<?php echo esc_attr( $result['type'] ) ?>" ><p><?php echo $result['message'] ?></p></div>
			<?php endif ?>
			<div class="col-md-3">
			</div>
			<div class="col-md-6" style="background: #1c93b2;color:white;border: 1px solid black;border-radius: 5px;padding: 10px;">
			<form method="post" action="<?php echo esc_url( add_query_arg( array() ) ) ?>">
				<div class="form-group">
						<?php _e( 'Apps post lists', WpTomob::i18n_domain ) ?>
							<label for="posts_per_page"><?php _e('Number of posts per list in webbyapp apps', WpTomob::i18n_domain ) ?> : </label><br/>
							<input class="form-control"  type="number" name="posts_per_page" id="posts_per_page" value="<?php echo esc_attr( $settings['posts_per_page'] ) ?>" />
						</div>
				<div class="form-group">
						
							<label for="posts_per_page">Phonegap Client ID: </label><br/>
							<input class="form-control"  type="text" name="phonegap_client_id" id="phonegap_client_id" value="<?php echo  $settings['phonegap_client_id']  ?>" />
						</div>
				<div class="form-group">
							<label for="posts_per_page">Phonegap Client Secret : </label><br/>
							<input class="form-control"  type="text" name="phonegap_client_secret" id="phonegap_client_secret" value="<?php echo  $settings['phonegap_client_secret']  ?>" />
						</div>
						<!-- <div class="form-group">
						<?php _e( 'wptomob user role', WpTomob::i18n_domain ) ?>
							<input  class="form-control" type="checkbox" name="activate_wp_appkit_editor_role" id="activate_wp_appkit_editor_role" <?php echo !empty($settings['activate_wp_appkit_editor_role']) ? 'checked' : ''?> />
							<label for="activate_wp_appkit_editor_role"><?php _e('Activate a "wptomob App Editor" role that can only edit wptomob apps and no other WordPress contents', WpTomob::i18n_domain ) ?></label>
						</div> -->
						<div class="form-group">
							<?php if ( $settings['phonegap_client_secret'] != ''&&$settings['phonegap_client_id'] != '' ) { 

 wp_enqueue_script( 'bootstrap_js_min', 'https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js');

								?>
							<a class="btn btn-block btn-social btn-lg btn-reddit" href="https://build.phonegap.com/authorize?client_id=<?php echo $settings['phonegap_client_id']; ?>"><i class="fa fa-reddit"></i>Sign in with Phonegap</a>
							<?php 
								$application =  $wpdb->get_results("
													      SELECT
													        *
													      FROM
													        {$wpdb->prefix}wptm_keystore_table
													      WHERE platform = 'android' 
													      ORDER BY id DESC
    												");
 if (count($application)==0) {
							 ?>
							 <script>
							 	jQuery(document).ready(function(){
							 		jQuery("#googlekeystore").click(function(event) {
							 			/* Act on the event */
							 		jQuery('#myModal').modal('show');
							 		});
							 	})
							 </script>
							<!-- Button trigger modal -->
							<button type="button" id="googlekeystore"  class="btn btn-info btn-lg  btn-block" >
							  Upload Your Google keystore
							</button>

							<!-- Modal -->
							<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
							  <div class="modal-dialog" role="document">
							    <div class="modal-content">
							      <div class="modal-header">
							        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
							      </div>
							      <div class="modal-body">
							      	<form>
							          <div class="form-group">
									    <label for="exampleInputEmail1">Keystore title</label>
									    <input type="text" class="form-control" id="keystoretitle" placeholder="Title">
									  </div>
									  <div class="form-group">
									    <label for="exampleInputPassword1">Keystore Password</label>
									    <input type="password" class="form-control" id="keystorepassword" placeholder="Password">
									  </div>
							          <div class="form-group">
									    <label for="exampleInputEmail">Alias Name</label>
									    <input type="text" class="form-control" id="aliasname" placeholder="Alias Name">
									  </div>
									  <div class="form-group">
									    <label for="exampleInputPassword">Alias Password</label>
									    <input type="password" class="form-control" id="aliaspassword" placeholder="Password">
									  </div>
									  <div class="form-group">
									    <label for="exampleInputFile">File input</label>
									    <input type="file" id="keystorefile">
									  </div>
									  </form>
							      </div>
							      <div class="modal-footer">
							        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
							        <button type="button" id="uploadkeystore" class="btn btn-primary">Save changes</button>
							      </div>
							    </div>
							  </div>
							</div>
							<?php }else{ ?>
							<div class="alert alert-success" style="margin: 10px auto;">
  <strong>Good!</strong> You have a keystore installed.
</div>
							<?php }
								$application =  $wpdb->get_results("
													      SELECT
													        *
													      FROM
													        {$wpdb->prefix}wptm_keystore_table
													      WHERE platform = 'ios' 
													      ORDER BY id DESC
    												");
 if (count($application)==0) {
							 ?>
							 <script>
							 	jQuery(document).ready(function(){
							 		jQuery("#ioskeystore").click(function(event) {
							 			/* Act on the event */
							 		jQuery('#myModal1').modal('show');
							 		});
							 	})
							 </script>
							<!-- Button trigger modal -->
							<button type="button" id="ioskeystore"  class="btn btn-info btn-lg  btn-block" >
							  Upload Your IOS keystore
							</button>

							<!-- Modal -->
							<div class="modal fade" id="myModal1" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
							  <div class="modal-dialog" role="document">
							    <div class="modal-content">
							      <div class="modal-header">
							        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
							      </div>
							      <div class="modal-body">
							      	<form>
							          <div class="form-group">
									    <label for="exampleInputEmail1">Keystore title</label>
									    <input type="text" class="form-control" id="keystoreiostitle" placeholder="Title">
									  </div>
									  <div class="form-group">
									    <label for="exampleInputPassword1">Keystore Password</label>
									    <input type="password" class="form-control" id="keystoreiospassword" placeholder="Password">
									  </div>
									  <div class="form-group">
									    <label for="exampleInputFile">File p12 </label>
									    <input type="file" id="keystorefileios">
									  </div>
									  <div class="form-group">
									    <label for="exampleInputFile">File mobileprovisio</label>
									    <input type="file" id="keystorefileios1">
									  </div>
									  </form>
							      </div>
							      <div class="modal-footer">
							        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
							        <button type="button" id="uploadkeystoreios" class="btn btn-primary">Save changes</button>
							      </div>
							    </div>
							  </div>
							</div>
							<?php }else{ ?>
							<div class="alert alert-success" style="margin: 10px auto;">
  <strong>Good!</strong> You have a keystore installed.
</div>

							<?php }
							} ?>

							<?php
							if (isset($_GET['code'])) {
	# code...

								ob_start();
$curl = curl_init();
curl_setopt_array($curl, array(
    CURLOPT_RETURNTRANSFER => 1,
    CURLOPT_FOLLOWLOCATION =>true,
    CURLOPT_SSL_VERIFYPEER =>false,
    CURLOPT_USERAGENT =>'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13',
    CURLOPT_POSTFIELDS=>'client_id='.$settings['phonegap_client_id'].'&client_secret='.$settings['phonegap_client_secret'].'&code='.$_GET["code"],
    CURLOPT_URL => 'https://build.phonegap.com/authorize/token?client_id='.$settings['phonegap_client_id'].'&client_secret='.$settings['phonegap_client_secret'].'&code='.$_GET["code"]
));
$result =curl_exec($curl);
$error = curl_error($curl); 
echo $error;
 ob_get_clean();
  // curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, FALSE );
  //       curl_setopt( $ch, CURLOPT_SSL_VERIFYHOST, 1 );
 
$json=json_decode( $result);
if ( get_option( 'wptm_phonegap_access_token' ) != $json->access_token && $json->access_token !=NULL) {
			update_option( 'wptm_phonegap_access_token', $json->access_token );
		} else {
			add_option( 'wptm_phonegap_access_token', $json->access_token, '', 'no' );
		}
}

?>
						</div>

				<?php wp_nonce_field( 'wptm_save_settings' ) ?>

				<input type="submit" style="float: right;" class="btn btn-success" value="<?php _e( 'Save settings', WpTomob::i18n_domain ) ?>" />

			</form>
			</div>
			<div class="col-md-3"></div>
		</div>

		<script type="text/javascript">
			jQuery(document).ready(function(){
jQuery("#uploadkeystore").click(function(){
	jQuery('.containeraaoifi').show()
				// console.log(jQuery(this)[0].files)
	var fd = new FormData();
	// var data={action:'wptm_upload_icons_ajax',file:fd.append('file', jQuery(this)[0].files[0])};
	
fd.append('file', jQuery("#keystorefile")[0].files[0])
fd.append('action', 'wptm_create_keystore_android_app')
fd.append('title', jQuery("#keystoretitle").val())
fd.append('password', jQuery("#keystorepassword").val())
fd.append('alias', jQuery("#aliasname").val())
fd.append('alias_password', jQuery("#aliaspassword").val())
	
jQuery("#iconload").show()

jQuery.ajax({
    url : ajaxurl,
    type: "POST",
    data : fd    ,
    processData: false,  // tell jQuery not to process the data
    contentType: false ,  // tell jQuery not to set contentType
    success:function(data, textStatus, jqXHR){
    	jQuery('.containeraaoifi').hide()
    	if (data=='done') {
    		location.reload(); 
    	}else{
    		alert('You have an error please check your informations')
    	}
    	
    }
	})
})

jQuery("#uploadkeystoreios").click(function(){
	jQuery('.containeraaoifi').show()
				// console.log(jQuery(this)[0].files)
	var fd = new FormData();
	// var data={action:'wptm_upload_icons_ajax',file:fd.append('file', jQuery(this)[0].files[0])};
	
fd.append('file', jQuery("#keystorefileios")[0].files[0])
fd.append('file1', jQuery("#keystorefileios1")[0].files[0])
fd.append('action', 'wptm_create_keystore_ios_app')
fd.append('title', jQuery("#keystoreiostitle").val())
fd.append('password', jQuery("#keystoreiospassword").val())
	
jQuery("#iconload").show()

jQuery.ajax({
    url : ajaxurl,
    type: "POST",
    data : fd    ,
    processData: false,  // tell jQuery not to process the data
    contentType: false ,  // tell jQuery not to set contentType
    success:function(data, textStatus, jqXHR){
    	jQuery('.containeraaoifi').hide()
    	if (data=='done') {
    		location.reload(); 
    	}else{
    		alert('You have an error please check your informations')
    	}
    	
    }
	})
})
})
		</script>
		<div class="containeraaoifi"><div class="loaderaaoifi"></div></div>
		<?php
	}

	public static function get_settings() {
		$default_settings = array(
			'posts_per_page' => get_option( 'posts_per_page' ),
			'activate_wp_appkit_editor_role' => false,
			'phonegap_client_id' => '',
			'phonegap_client_secret' => '',
		);
		
		$settings = wp_parse_args( get_option( self::option_id ), $default_settings );
		return $settings;
	}
	
	public static function get_setting($setting) {
		$settings = self::get_settings();
		return isset($settings[$setting]) ? $settings[$setting] : false;
	}

	protected static function handle_posted_settings() {
		$result = array(
			'message' => '',
			'type' => 'updated'
		);
		
		if ( isset( $_POST['posts_per_page'] ) && check_admin_referer( 'wptm_save_settings' ) ) {
			$settings = self::get_settings();

			if ( !empty( $_POST['posts_per_page'] ) ) {
				$settings['posts_per_page'] = intval( $_POST['posts_per_page'] );
			}

				$settings['phonegap_client_id'] =  $_POST['phonegap_client_id'] ;
			
				$settings['phonegap_client_secret'] =$_POST['phonegap_client_secret'] ;
			
			
			if ( isset( $_POST['activate_wp_appkit_editor_role'] ) ) {
				WpakUserPermissions::create_wp_appkit_user_role();
				$settings['activate_wp_appkit_editor_role'] = true;
			}else{
				WpakUserPermissions::remove_wp_appkit_user_role();
				$settings['activate_wp_appkit_editor_role'] = false;
			}

			self::save_settings( $settings );
			$result['message'] = __( 'Settings saved', WpTomob::i18n_domain );
		}
		
		return $result;
	}

	protected static function save_settings( $settings ) {
		if ( get_option( self::option_id ) != $settings ) {
			update_option( self::option_id, $settings );

		} else {
			add_option( self::option_id, $settings, '', 'no' );
		}
	}

}

WpakSettings::hooks();