<?php
require_once(dirname( __FILE__ ) . '/config-file.php');
require_once(dirname( __FILE__ ) . '/wp-core-js-files.php');

class WpakSimulator {

	public static function hooks() {
		if ( is_admin() ) {
			add_filter( 'post_row_actions', array( __CLASS__, 'add_action_link' ), 10, 2 );
			add_filter('manage_posts_columns',  array( __CLASS__, 'add_columns_head'));
			add_action('manage_posts_custom_column',  array( __CLASS__, 'add_columns_content'), 10, 2);
		}
	}

	public static function add_action_link( $actions ) {
		global $post;

		if ( $post->post_type == 'wptm_apps' ) {
			wp_enqueue_style( 'wptm_apps_table_css', plugins_url('/../../css/table-admin.css', __FILE__), array(), '1.0' );	
			wp_enqueue_script( 'wptm_jquery_build_ajax_script', plugins_url( 'js/ajax.js', dirname( dirname( __FILE__ ) ) ), array( 'jquery' ), WpTomob::resources_version );
			unset( $actions['edit'] );
			unset( $actions['trash'] );
		
		}
		return $actions;
	}
	public static function add_columns_head($defaults) {
		global $post;
		if ( $post->post_type == 'wptm_apps' &&!empty($post) ) {
	    $defaults['Action'] = 'Actions';
	    unset($defaults['date']);
	  
		}
		return $defaults;
	}
 
	public static function add_columns_content($column_name, $post_ID) {
		global $post,$wpdb;
		 		$app_main_infos = WpakApps::get_app_main_infos( $post->ID );
 		        $app_platform = $app_main_infos['platform'];

	   if ( $post->post_type == 'wptm_apps'&& $column_name == 'Action' &&!empty($post)) {
	   	if ('ios'==$app_platform) {
	   		# code...
	   			$application =  $wpdb->get_results("
													      SELECT
													        *
													      FROM
													        {$wpdb->prefix}wptm_keystore_table
													      WHERE platform = 'ios' 
													      ORDER BY id DESC
    												");
 if (count($application)==0) {
	   		$classs="needkey";
	   		$title='To Create an IOS app and for apple security reason , Please Make Sure to set your iOS Signing on the sethings page - to see how please check the video training page .';
	   		$css='pointer-events: none;';
	   	}else{
	   		$classs="";
	   		$title='';
	   		$css=''; 
	   	}
	   }else{
	   		$classs="";
	   		$title='';
	   		$css=''; 
	   	} 
	   		echo '<a  appID="' .  $post->ID  . '" href="'.esc_url(  wp_nonce_url( add_query_arg( array( 'post' =>  $post->ID,'action' => 'edit' ) ,home_url( '/wp-admin/post.php' ) )) ).'" ><img style="width: 26px;margin: 5px;cursor:pointer;padding-bottom: 3px;" src="'.plugins_url('images', dirname( dirname( __FILE__ ) )).'/edit.png" title="Edit Aplication"></a>';
	   		echo '<a class="buildapp" appID="' .  $post->ID  . '" href="" target="_blank"><img style="width: 30px;margin: 5px;cursor:pointer;'.$css.'" src="'.plugins_url('images', dirname( dirname( __FILE__ ) )).'/build.svg" title="Build Aplication"></a>'; 
	        echo '<a href="' . esc_url( wp_nonce_url( add_query_arg( array( 'action' => 'wptm_download_app_sources' ,'post' =>  $post->ID) ), 'wptm_download_app_sources' ) ) . '" target="_blank"><img style="width: 26px;margin: 5px;cursor:pointer;padding-bottom: 3px;" src="'.plugins_url('images', dirname( dirname( __FILE__ ) )).'/download.png" title="Download Phonegap project"></a>';
	        echo '<a class="submitdelete" href="' . get_delete_post_link($post->ID) . '"><img style="width: 30px;margin: 5px;cursor:pointer;" src="'.plugins_url('images', dirname( dirname( __FILE__ ) )).'/trash.png" title="Delete Project"></a>';
	        echo '<br>'.$title;
	        
	    }
	}
}
 
WpakSimulator::hooks();
