<?php

/**
 * Allows to create a "wptomob App Editor" user role so that we can create
 * users that can only edit wptomob apps and no other contents.
 * 
 * Used in WpakSettings.
 */
class WpakUserPermissions {

	const wptm_editor_role = 'wptm_app_editor';

	public static function create_wp_appkit_user_role() {

		remove_role( self::wptm_editor_role );

		$capabilities = array(
			'wptm_edit_apps' => true,
			'read' => true,
			'level_0' => true,
			'subscriber' => true,
			'edit_wptm_app' => true,
			'edit_wptm_apps' => true,
			'read_wptm_apps' => true,
			'delete_wptm_apps' => true,
			'delete_others_wptm_apps' => true,
			'delete_published_wptm_apps' => true,
			'edit_others_wptm_apps' => true,
			'publish_wptm_apps' => true,
		);
		
		$capabilities = apply_filters( 'wptm_editor_role_capabilities', $capabilities );
		
		$wptm_role = add_role(
			self::wptm_editor_role, 
			__( 'wptomob App Editor', WpTomob::i18n_domain ), 
			$capabilities
		);
		
	}
	
	public static function remove_wp_appkit_user_role() {
		remove_role( self::wptm_editor_role );
	}

}
