<?php

class WpakWebServicesBoSettings {

    public static function hooks() {
        if ( is_admin() ) {
            add_action( 'add_meta_boxes', array( __CLASS__, 'add_meta_boxes' ) );
        }
    }

    public static function add_meta_boxes() {
        add_meta_box(
            'wptm_app_synchronization',
            __( 'Synchronization', WpTomob::i18n_domain ),
            array( __CLASS__, 'inner_synchronization_box' ),
            'wptm_apps',
            'side',
            'default'
        );
    }

    public static function inner_synchronization_box( $post, $current_box ) {
        $wp_ws_url = WpakWebServices::get_app_web_service_url( $post->ID, 'synchronization' );
        ?>
        <a href="#" class="hide-if-no-js wptm_help"><?php _e( 'Help me', WpTomob::i18n_domain ); ?></a>
        <div class="field-group">
            <a class="button" href="<?php echo esc_url( $wp_ws_url ) ?>" target="_blank"><?php _e( 'Show Me Web Service Data', WpTomob::i18n_domain ) ?></a>
        </div>
        <?php
        do_action( 'wptm_inner_synchronization_box', $post, $current_box );
    }
}

WpakWebServicesBoSettings::hooks();
